#if !defined(RTCTRADEAPIDEFINITION_API_H)
#define RTCTRADEAPIDEFINITION_API_H

enum ICE_TE_RESUME_TYPE
{
	ICE_TERT_RESTART = 0,
	ICE_TERT_RESUME,
	ICE_TERT_QUICK
};

/////////////////////////////////////////////////////////////////////////
///ICETraderIDType是一个交易所交易员代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETraderIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorIDType是一个投资者代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestorIDType[30];

/////////////////////////////////////////////////////////////////////////
///ICEBrokerIDType是一个经纪公司代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBrokerIDType[30];

/////////////////////////////////////////////////////////////////////////
///ICEBrokerAbbrType是一个经纪公司简称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBrokerAbbrType[9];

/////////////////////////////////////////////////////////////////////////
///ICEBrokerNameType是一个经纪公司名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBrokerNameType[81];

/////////////////////////////////////////////////////////////////////////
///ICEExchangeInstIDType是一个合约在交易所的代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExchangeInstIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICEOrderRefType是一个报单引用类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrderRefType[20];

/////////////////////////////////////////////////////////////////////////
///ICEParticipantIDType是一个会员代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEParticipantIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICEUserIDType是一个用户代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserIDType[30];

/////////////////////////////////////////////////////////////////////////
///ICEPasswordType是一个密码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPasswordType[41];

/////////////////////////////////////////////////////////////////////////
///ICEClientIDType是一个交易编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClientIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentIDType是一个合约代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentIDType[60];

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentCodeType是一个合约标识码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentCodeType[31];

/////////////////////////////////////////////////////////////////////////
///ICEMarketIDType是一个市场代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMarketIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICEProductNameType是一个产品名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProductNameType[21];

/////////////////////////////////////////////////////////////////////////
///ICEExchangeIDType是一个交易所代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExchangeIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICEExchangeNameType是一个交易所名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExchangeNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEExchangeAbbrType是一个交易所简称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExchangeAbbrType[9];

/////////////////////////////////////////////////////////////////////////
///ICEExchangeFlagType是一个交易所标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExchangeFlagType[2];

/////////////////////////////////////////////////////////////////////////
///ICEMacAddressType是一个Mac地址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMacAddressType[21];

/////////////////////////////////////////////////////////////////////////
///ICESystemIDType是一个系统编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESystemIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEExchangePropertyType是一个交易所属性类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_EXP_Normal '0'
///根据成交生成报单
#define ICE_EXP_GenOrderByTrade '1'

typedef char ICEExchangePropertyType;

/////////////////////////////////////////////////////////////////////////
///ICEDateType是一个日期类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDateType[9];

/////////////////////////////////////////////////////////////////////////
///ICETimeType是一个时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETimeType[9];

/////////////////////////////////////////////////////////////////////////
///ICELongTimeType是一个长时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELongTimeType[13];

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentNameType是一个合约名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentNameType[30];

/////////////////////////////////////////////////////////////////////////
///ICESettlementGroupIDType是一个结算组代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESettlementGroupIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICEOrderSysIDType是一个报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrderSysIDType[30];

/////////////////////////////////////////////////////////////////////////
///ICETradeIDType是一个成交编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICECommandTypeType是一个DB命令类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECommandTypeType[65];

/////////////////////////////////////////////////////////////////////////
///ICEIPAddressType是一个IP地址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIPAddressType[16];

/////////////////////////////////////////////////////////////////////////
///ICEIPPortType是一个IP端口类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEIPPortType;

/////////////////////////////////////////////////////////////////////////
///ICEProductInfoType是一个产品信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProductInfoType[11];

/////////////////////////////////////////////////////////////////////////
///ICEProtocolInfoType是一个协议信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProtocolInfoType[11];

/////////////////////////////////////////////////////////////////////////
///ICEBusinessUnitType是一个业务单元类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBusinessUnitType[21];

/////////////////////////////////////////////////////////////////////////
///ICEDepositSeqNoType是一个出入金流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDepositSeqNoType[15];

/////////////////////////////////////////////////////////////////////////
///ICEIdentifiedCardNoType是一个证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIdentifiedCardNoType[51];

/////////////////////////////////////////////////////////////////////////
///ICEIdCardTypeType是一个证件类型类型
/////////////////////////////////////////////////////////////////////////
///组织机构代码
#define ICE_ICT_EID '0'
///中国公民身份证
#define ICE_ICT_IDCard '1'
///军官证
#define ICE_ICT_OfficerIDCard '2'
///警官证
#define ICE_ICT_PoliceIDCard '3'
///士兵证
#define ICE_ICT_SoldierIDCard '4'
///户口簿
#define ICE_ICT_HouseholdRegister  '5'
///护照
#define ICE_ICT_Passport '6'
///台胞证
#define ICE_ICT_TaiwanCompatriotIDCard  '7'
///回乡证
#define ICE_ICT_HomeComingCard '8'
///营业执照号
#define ICE_ICT_LicenseNo '9'
///税务登记号/当地纳税ID
#define ICE_ICT_TaxNo 'A'
///港澳居民来往内地通行证
#define ICE_ICT_HMMainlandTravelPermit  'B'
///台湾居民来往大陆通行证
#define ICE_ICT_TwMainlandTravelPermit 'C'
///驾照
#define ICE_ICT_DrivingLicense 'D'
///当地社保ID
#define ICE_ICT_SocialID 'F'
///当地身份证
#define ICE_ICT_LocalID 'G'
///商业登记证
#define ICE_ICT_BusinessRegistration  'H'
///港澳永久性居民身份证
#define ICE_ICT_HKMCIDCard 'I'
///人行开户许可证
#define ICE_ICT_AccountsPermits 'J'
///其他证件
#define ICE_ICT_OtherCard 'x'

typedef char ICEIdCardTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderLocalIDType是一个本地报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrderLocalIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEUserNameType是一个用户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserNameType[81];

/////////////////////////////////////////////////////////////////////////
///ICEPartyNameType是一个参与人名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPartyNameType[81];

/////////////////////////////////////////////////////////////////////////
///ICEErrorMsgType是一个错误信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEErrorMsgType[100];

/////////////////////////////////////////////////////////////////////////
///ICEFieldNameType是一个字段名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFieldNameType[2049];

/////////////////////////////////////////////////////////////////////////
///ICEFieldContentType是一个字段内容类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFieldContentType[2049];

/////////////////////////////////////////////////////////////////////////
///ICESystemNameType是一个系统名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESystemNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEContentType是一个消息正文类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEContentType[501];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorRangeType是一个投资者范围类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_IR_All '1'
///投资者组
#define ICE_IR_Group '2'
///单一投资者
#define ICE_IR_Single '3'

typedef char ICEInvestorRangeType;

/////////////////////////////////////////////////////////////////////////
///ICEDepartmentRangeType是一个投资者范围类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_DR_All '1'
///组织架构
#define ICE_DR_Group '2'
///单一投资者
#define ICE_DR_Single '3'

typedef char ICEDepartmentRangeType;

/////////////////////////////////////////////////////////////////////////
///ICEDataSyncStatusType是一个数据同步状态类型
/////////////////////////////////////////////////////////////////////////
///未同步
#define ICE_DS_Asynchronous '1'
///同步中
#define ICE_DS_Synchronizing '2'
///已同步
#define ICE_DS_Synchronized '3'

typedef char ICEDataSyncStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerDataSyncStatusType是一个经纪公司数据同步状态类型
/////////////////////////////////////////////////////////////////////////
///已同步
#define ICE_BDS_Synchronized '1'
///同步中
#define ICE_BDS_Synchronizing '2'

typedef char ICEBrokerDataSyncStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEExchangeConnectStatusType是一个交易所连接状态类型
/////////////////////////////////////////////////////////////////////////
///没有任何连接
#define ICE_ECS_NoConnection '1'
///已经发出合约查询请求
#define ICE_ECS_QryInstrumentSent '2'
///已经获取信息
#define ICE_ECS_GotInformation '9'

typedef char ICEExchangeConnectStatusType;

/////////////////////////////////////////////////////////////////////////
///ICETraderConnectStatusType是一个交易所交易员连接状态类型
/////////////////////////////////////////////////////////////////////////
///没有任何连接
#define ICE_TCS_NotConnected '1'
///已经连接
#define ICE_TCS_Connected '2'
///已经发出合约查询请求
#define ICE_TCS_QryInstrumentSent '3'
///订阅私有流
#define ICE_TCS_SubPrivateFlow '4'

typedef char ICETraderConnectStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEFunctionCodeType是一个功能代码类型
/////////////////////////////////////////////////////////////////////////
///数据异步化
#define ICE_FC_DataAsync '1'
///强制用户登出
#define ICE_FC_ForceUserLogout '2'
///变更管理用户口令
#define ICE_FC_UserPasswordUpdate '3'
///变更经纪公司口令
#define ICE_FC_BrokerPasswordUpdate '4'
///变更投资者口令
#define ICE_FC_InvestorPasswordUpdate '5'
///报单插入
#define ICE_FC_OrderInsert '6'
///报单操作
#define ICE_FC_OrderAction '7'
///同步系统数据
#define ICE_FC_SyncSystemData '8'
///同步经纪公司数据
#define ICE_FC_SyncBrokerData '9'
///批量同步经纪公司数据
#define ICE_FC_BachSyncBrokerData 'A'
///超级查询
#define ICE_FC_SuperQuery 'B'
///预埋报单插入
#define ICE_FC_ParkedOrderInsert 'C'
///预埋报单操作
#define ICE_FC_ParkedOrderAction 'D'
///同步动态令牌
#define ICE_FC_SyncOTP 'E'
///删除未知单
#define ICE_FC_DeleteOrder 'F'

typedef char ICEFunctionCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerFunctionCodeType是一个经纪公司功能代码类型
/////////////////////////////////////////////////////////////////////////
///强制用户登出
#define ICE_BFC_ForceUserLogout '1'
///变更用户口令
#define ICE_BFC_UserPasswordUpdate '2'
///同步经纪公司数据
#define ICE_BFC_SyncBrokerData '3'
///批量同步经纪公司数据
#define ICE_BFC_BachSyncBrokerData '4'
///报单插入
#define ICE_BFC_OrderInsert '5'
///报单操作
#define ICE_BFC_OrderAction '6'
///全部查询
#define ICE_BFC_AllQuery '7'
///系统功能：登入/登出/修改密码等
#define ICE_BFC_log 'a'
///基本查询：查询基础数据，如合约，交易所等常量
#define ICE_BFC_BaseQry 'b'
///交易查询：如查成交，委托
#define ICE_BFC_TradeQry 'c'
///交易功能：报单，撤单
#define ICE_BFC_Trade 'd'
///银期转账
#define ICE_BFC_Virement 'e'
///风险监控
#define ICE_BFC_Risk 'f'
///查询/管理：查询会话，踢人等
#define ICE_BFC_Session 'g'
///风控通知控制
#define ICE_BFC_RiskNoticeCtl 'h'
///风控通知发送
#define ICE_BFC_RiskNotice 'i'
///察看经纪公司资金权限
#define ICE_BFC_BrokerDeposit 'j'
///资金查询
#define ICE_BFC_QueryFund 'k'
///报单查询
#define ICE_BFC_QueryOrder 'l'
///成交查询
#define ICE_BFC_QueryTrade 'm'
///持仓查询
#define ICE_BFC_QueryPosition 'n'
///行情查询
#define ICE_BFC_QueryMarketData 'o'
///用户事件查询
#define ICE_BFC_QueryUserEvent 'p'
///风险通知查询
#define ICE_BFC_QueryRiskNotify 'q'
///出入金查询
#define ICE_BFC_QueryFundChange 'r'
///投资者信息查询
#define ICE_BFC_QueryInvestor 's'
///交易编码查询
#define ICE_BFC_QueryTradingCode 't'
///强平
#define ICE_BFC_ForceClose 'u'
///压力测试
#define ICE_BFC_PressTest 'v'
///权益反算
#define ICE_BFC_RemainCalc 'w'
///净持仓保证金指标
#define ICE_BFC_NetPositionInd 'x'
///风险预算
#define ICE_BFC_RiskPredict 'y'
///数据导出
#define ICE_BFC_DataExport 'z'
///风控指标设置
#define ICE_BFC_RiskTargetSetup 'A'
///行情预警
#define ICE_BFC_MarketDataWarn 'B'
///业务通知查询
#define ICE_BFC_QryBizNotice 'C'
///业务通知模板设置
#define ICE_BFC_CfgBizNotice 'D'
///同步动态令牌
#define ICE_BFC_SyncOTP 'E'
///发送业务通知
#define ICE_BFC_SendBizNotice 'F'
///风险级别标准设置
#define ICE_BFC_CfgRiskLevelStd 'G'
///交易终端应急功能
#define ICE_BFC_TbCommand 'H'
///删除未知单
#define ICE_BFC_DeleteOrder 'J'
///预埋报单插入
#define ICE_BFC_ParkedOrderInsert 'K'
///预埋报单操作
#define ICE_BFC_ParkedOrderAction 'L'
///资金不够仍允许行权
#define ICE_BFC_ExecOrderNoCheck 'M'

typedef char ICEBrokerFunctionCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderActionStatusType是一个报单操作状态类型
/////////////////////////////////////////////////////////////////////////
///已经提交
#define ICE_OAS_Submitted 'a'
///已经接受
#define ICE_OAS_Accepted 'b'
///已经被拒绝
#define ICE_OAS_Rejected 'c'

typedef char ICEOrderActionStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderStatusType是一个报单状态类型
/////////////////////////////////////////////////////////////////////////
///全部成交
#define ICE_OST_AllTraded '0'
///部分成交还在队列中
#define ICE_OST_PartTradedQueueing '1'
///部分成交不在队列中
#define ICE_OST_PartTradedNotQueueing '2'
///未成交还在队列中
#define ICE_OST_NoTradeQueueing '3'
///未成交不在队列中
#define ICE_OST_NoTradeNotQueueing '4'
///撤单
#define ICE_OST_Canceled '5'
///Block
#define ICE_OST_Block '6'
///未知
#define ICE_OST_Unknown 'a'
///尚未触发
#define ICE_OST_NotTouched 'b'//Unsupported
///已触发
#define ICE_OST_Touched 'c'//Unsupported

typedef char ICEOrderStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderSubmitStatusType是一个报单提交状态类型
/////////////////////////////////////////////////////////////////////////
///已经提交
#define ICE_OSS_InsertSubmitted '0'
///撤单已经提交
#define ICE_OSS_CancelSubmitted '1'
///修改已经提交
#define ICE_OSS_ModifySubmitted '2'
///已经接受
#define ICE_OSS_Accepted '3'
///报单已经被拒绝
#define ICE_OSS_InsertRejected '4'
///撤单已经被拒绝
#define ICE_OSS_CancelRejected '5'
///改单已经被拒绝
#define ICE_OSS_ModifyRejected '6'

typedef char ICEOrderSubmitStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEPositionDateType是一个持仓日期类型
/////////////////////////////////////////////////////////////////////////
///今日持仓
#define ICE_PSD_Today '1'
///历史持仓
#define ICE_PSD_History '2'

typedef char ICEPositionDateType;

/////////////////////////////////////////////////////////////////////////
///ICEPositionDateTypeType是一个持仓日期类型类型
/////////////////////////////////////////////////////////////////////////
///使用历史持仓
#define ICE_PDT_UseHistory '1'
///不使用历史持仓
#define ICE_PDT_NoUseHistory '2'

typedef char ICEPositionDateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICETradingRoleType是一个交易角色类型
/////////////////////////////////////////////////////////////////////////
///代理
#define ICE_ER_Broker '1'
///自营
#define ICE_ER_Host '2'
///做市商
#define ICE_ER_Maker '3'

typedef char ICETradingRoleType;

/////////////////////////////////////////////////////////////////////////
///ICEProductClassType是一个产品类型类型
/////////////////////////////////////////////////////////////////////////
///期货
#define ICE_PC_Futures '1'
///期货期权
#define ICE_PC_Options '2'
///组合
#define ICE_PC_Combination '3'
///即期
#define ICE_PC_Spot '4'
///期转现
#define ICE_PC_EFP '5'
///现货期权
#define ICE_PC_SpotOption '6'
///个股期权
#define ICE_PC_ETFOption '7'
///证券
#define ICE_PC_Stock '8'

typedef char ICEProductClassType;

/////////////////////////////////////////////////////////////////////////
///ICEInstLifePhaseType是一个合约生命周期状态类型
/////////////////////////////////////////////////////////////////////////
///未上市
#define ICE_IP_NotStart '0'
///上市
#define ICE_IP_Started '1'
///停牌
#define ICE_IP_Pause '2'
///到期
#define ICE_IP_Expired '3'

typedef char ICEInstLifePhaseType;

/////////////////////////////////////////////////////////////////////////
///ICEDirectionType是一个买卖方向类型
/////////////////////////////////////////////////////////////////////////
///买
#define ICE_D_Buy '0'
///卖
#define ICE_D_Sell '1'

typedef char ICEDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEPositionTypeType是一个持仓类型类型
/////////////////////////////////////////////////////////////////////////
///净持仓
#define ICE_PT_Net '1'
///综合持仓
#define ICE_PT_Gross '2'

typedef char ICEPositionTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEPosiDirectionType是一个持仓多空方向类型
/////////////////////////////////////////////////////////////////////////
///净
#define ICE_PD_Net '1'
///多头
#define ICE_PD_Long '2'
///空头
#define ICE_PD_Short '3'

typedef char ICEPosiDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICESysSettlementStatusType是一个系统结算状态类型
/////////////////////////////////////////////////////////////////////////
///不活跃
#define ICE_SS_NonActive '1'
///启动
#define ICE_SS_Startup '2'
///操作
#define ICE_SS_Operating '3'
///结算
#define ICE_SS_Settlement '4'
///结算完成
#define ICE_SS_SettlementFinished '5'

typedef char ICESysSettlementStatusType;

/////////////////////////////////////////////////////////////////////////
///ICERatioAttrType是一个费率属性类型
/////////////////////////////////////////////////////////////////////////
///交易费率
#define ICE_RA_Trade '0'
///结算费率
#define ICE_RA_Settlement '1'

typedef char ICERatioAttrType;

/////////////////////////////////////////////////////////////////////////
///ICEHedgeFlagType是一个投机套保标志类型
/////////////////////////////////////////////////////////////////////////
///投机
#define ICE_HF_Speculation '1'
///套利
#define ICE_HF_Arbitrage '2'
///套保
#define ICE_HF_Hedge '3'
///备兑
#define ICE_HF_Covered '4'
///做市商
#define ICE_HF_MarketMaker '5'

typedef char ICEHedgeFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEBillHedgeFlagType是一个投机套保标志类型
/////////////////////////////////////////////////////////////////////////
///投机
#define ICE_BHF_Speculation '1'
///套利
#define ICE_BHF_Arbitrage '2'
///套保
#define ICE_BHF_Hedge '3'

typedef char ICEBillHedgeFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEClientIDTypeType是一个交易编码类型类型
/////////////////////////////////////////////////////////////////////////
///投机
#define ICE_CIDT_Speculation '1'
///套利
#define ICE_CIDT_Arbitrage '2'
///套保
#define ICE_CIDT_Hedge '3'
///做市商
#define ICE_CIDT_MarketMaker '5'

typedef char ICEClientIDTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderPriceTypeType是一个报单价格条件类型
/////////////////////////////////////////////////////////////////////////
///任意价
#define ICE_OPT_AnyPrice '1'
///限价
#define ICE_OPT_LimitPrice '2'
///最优价
#define ICE_OPT_BestPrice '3'
///最新价
#define ICE_OPT_LastPrice '4'//Unsupported
///最新价浮动上浮1个ticks
#define ICE_OPT_LastPricePlusOneTicks '5'//Unsupported
///最新价浮动上浮2个ticks
#define ICE_OPT_LastPricePlusTwoTicks '6'//Unsupported
///最新价浮动上浮3个ticks
#define ICE_OPT_LastPricePlusThreeTicks '7'//Unsupported
///卖一价
#define ICE_OPT_AskPrice1 '8'
///卖一价浮动上浮1个ticks
#define ICE_OPT_AskPrice1PlusOneTicks '9'//Unsupported
///卖一价浮动上浮2个ticks
#define ICE_OPT_AskPrice1PlusTwoTicks 'A'//Unsupported
///卖一价浮动上浮3个ticks
#define ICE_OPT_AskPrice1PlusThreeTicks 'B'//Unsupported
///买一价
#define ICE_OPT_BidPrice1 'C'
///买一价浮动上浮1个ticks
#define ICE_OPT_BidPrice1PlusOneTicks 'D'//Unsupported
///买一价浮动上浮2个ticks
#define ICE_OPT_BidPrice1PlusTwoTicks 'E'//Unsupported
///买一价浮动上浮3个ticks
#define ICE_OPT_BidPrice1PlusThreeTicks 'F'//Unsupported
///五档价
#define ICE_OPT_FiveLevelPrice 'G'
///本方最优价
#define ICE_OPT_BestPriceThisSide 'H'//Unsupported

typedef char ICEOrderPriceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOffsetFlagType是一个开平标志类型
/////////////////////////////////////////////////////////////////////////
///开仓
#define ICE_OF_Open '0'
///平仓
#define ICE_OF_Close '1'
///强平
#define ICE_OF_ForceClose '2'
///平今
#define ICE_OF_CloseToday '3'
///平昨
#define ICE_OF_CloseYesterday '4'
///强减
#define ICE_OF_ForceOff '5'
///本地强平
#define ICE_OF_LocalForceClose '6'

typedef char ICEOffsetFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEForceCloseReasonType是一个强平原因类型
/////////////////////////////////////////////////////////////////////////
///非强平
#define ICE_FCC_NotForceClose '0'
///资金不足
#define ICE_FCC_LackDeposit '1'
///客户超仓
#define ICE_FCC_ClientOverPositionLimit '2'
///会员超仓
#define ICE_FCC_MemberOverPositionLimit '3'
///持仓非整数倍
#define ICE_FCC_NotMultiple '4'
///违规
#define ICE_FCC_Violation '5'
///其它
#define ICE_FCC_Other '6'
///自然人临近交割
#define ICE_FCC_PersonDeliv '7'

typedef char ICEForceCloseReasonType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderTypeType是一个报单类型类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_ORDT_Normal '0'
///报价衍生
#define ICE_ORDT_DeriveFromQuote '1'
///组合衍生
#define ICE_ORDT_DeriveFromCombination '2'
///组合报单
#define ICE_ORDT_Combination '3'
///条件单
#define ICE_ORDT_ConditionalOrder '4'
///互换单
#define ICE_ORDT_Swap '5'

typedef char ICEOrderTypeType;

/////////////////////////////////////////////////////////////////////////
///ICETimeConditionType是一个有效期类型类型
/////////////////////////////////////////////////////////////////////////
///立即完成，否则撤销
#define ICE_TC_IOC '1'
///本节有效
#define ICE_TC_GFS '2'//Unsupported
///当日有效
#define ICE_TC_GFD '3'
///指定日期前有效
#define ICE_TC_GTD '4'//Unsupported
///撤销前有效
#define ICE_TC_GTC '5'//Unsupported
///集合竞价有效
#define ICE_TC_GFA '6'//Unsupported

typedef char ICETimeConditionType;

/////////////////////////////////////////////////////////////////////////
///ICEVolumeConditionType是一个成交量类型类型
/////////////////////////////////////////////////////////////////////////
///任何数量
#define ICE_VC_AV '1'
///最小数量
#define ICE_VC_MV '2'
///全部数量
#define ICE_VC_CV '3'

typedef char ICEVolumeConditionType;

/////////////////////////////////////////////////////////////////////////
///ICEContingentConditionType是一个触发条件类型
/////////////////////////////////////////////////////////////////////////
///立即
#define ICE_CC_Immediately '1'
///止损
#define ICE_CC_Touch '2'
///止赢
#define ICE_CC_TouchProfit '3'
///预埋单
#define ICE_CC_ParkedOrder '4'
///最新价大于条件价
#define ICE_CC_LastPriceGreaterThanStopPrice '5'
///最新价大于等于条件价
#define ICE_CC_LastPriceGreaterEqualStopPrice '6'
///最新价小于条件价
#define ICE_CC_LastPriceLesserThanStopPrice '7'
///最新价小于等于条件价
#define ICE_CC_LastPriceLesserEqualStopPrice '8'
///卖一价大于条件价
#define ICE_CC_AskPriceGreaterThanStopPrice '9'
///卖一价大于等于条件价
#define ICE_CC_AskPriceGreaterEqualStopPrice 'A'
///卖一价小于条件价
#define ICE_CC_AskPriceLesserThanStopPrice 'B'
///卖一价小于等于条件价
#define ICE_CC_AskPriceLesserEqualStopPrice 'C'
///买一价大于条件价
#define ICE_CC_BidPriceGreaterThanStopPrice 'D'
///买一价大于等于条件价
#define ICE_CC_BidPriceGreaterEqualStopPrice 'E'
///买一价小于条件价
#define ICE_CC_BidPriceLesserThanStopPrice 'F'
///买一价小于等于条件价
#define ICE_CC_BidPriceLesserEqualStopPrice 'H'

typedef char ICEContingentConditionType;

/////////////////////////////////////////////////////////////////////////
///ICEActionFlagType是一个操作标志类型
/////////////////////////////////////////////////////////////////////////
///删除
#define ICE_AF_Delete '0'
///修改
#define ICE_AF_Modify '3'

typedef char ICEActionFlagType;

/////////////////////////////////////////////////////////////////////////
///ICETradingRightType是一个交易权限类型
/////////////////////////////////////////////////////////////////////////
///可以交易
#define ICE_TR_Allow '0'
///只能平仓
#define ICE_TR_CloseOnly '1'
///不能交易
#define ICE_TR_Forbidden '2'

typedef char ICETradingRightType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderSourceType是一个报单来源类型
/////////////////////////////////////////////////////////////////////////
///来自参与者
#define ICE_OSRC_Participant '0'
///来自管理员
#define ICE_OSRC_Administrator '1'

typedef char ICEOrderSourceType;

/////////////////////////////////////////////////////////////////////////
///ICETradeTypeType是一个成交类型类型
/////////////////////////////////////////////////////////////////////////
///组合持仓拆分为单一持仓,初始化不应包含该类型的持仓
#define ICE_TRDT_SplitCombination '#'
///普通成交
#define ICE_TRDT_Common '0'
///期权执行
#define ICE_TRDT_OptionsExecution '1'
///OTC成交
#define ICE_TRDT_OTC '2'
///期转现衍生成交
#define ICE_TRDT_EFPDerived '3'
///组合衍生成交
#define ICE_TRDT_CombinationDerived '4'

typedef char ICETradeTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEPriceSourceType是一个成交价来源类型
/////////////////////////////////////////////////////////////////////////
///前成交价
#define ICE_PSRC_LastPrice '0'
///买委托价
#define ICE_PSRC_Buy '1'
///卖委托价
#define ICE_PSRC_Sell '2'

typedef char ICEPriceSourceType;

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentStatusType是一个合约交易状态类型
/////////////////////////////////////////////////////////////////////////
///开盘前
#define ICE_FTDC_IS_BeforeTrading '0'
///非交易
#define ICE_FTDC_IS_NoTrading '1'
///连续交易
#define ICE_FTDC_IS_Continous '2'
///集合竞价撮合
#define ICE_FTDC_IS_AuctionMatch '3'
///收盘
#define ICE_FTDC_IS_Closed '4'
///集合竞价
#define ICE_FTDC_IS_Auction '5'
///收盘
#define ICE_FTDC_IS_Closed '6'
///波动性中断
#define ICE_FTDC_IS_VolatilityInterrupt '7'
///临时停牌
#define ICE_FTDC_IS_TemporarySuspension '8'
///可恢复交易的熔断
#define ICE_FTDC_IS_ResumableFusing '9'
///不可恢复交易的熔断
#define ICE_FTDC_IS_UnResumableFusing 'a'
///盘后交易
#define ICE_FTDC_IS_TradingAfterClosed 'b'
///暂停交易
#define ICE_FTDC_IS_Suspend 'c'
///禁删
#define ICE_FTDC_IS_RestrictDelete 'd'
///无状态
#define ICE_FTDC_IS_NoneStatus 'e'


typedef char ICEInstrumentStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEInstStatusEnterReasonType是一个品种进入交易状态原因类型
/////////////////////////////////////////////////////////////////////////
///自动切换
#define ICE_IER_Automatic '1'
///手动切换
#define ICE_IER_Manual '2'
///熔断
#define ICE_IER_Fuse '3'

typedef char ICEInstStatusEnterReasonType;

/////////////////////////////////////////////////////////////////////////
///ICEOrderActionRefType是一个报单操作引用类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEOrderActionRefType;

/////////////////////////////////////////////////////////////////////////
///ICEInstallCountType是一个安装数量类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEInstallCountType;

/////////////////////////////////////////////////////////////////////////
///ICEInstallIDType是一个安装编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEInstallIDType;

/////////////////////////////////////////////////////////////////////////
///ICEErrorIDType是一个错误代码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEErrorIDType;

/////////////////////////////////////////////////////////////////////////
///ICESettlementIDType是一个结算编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESettlementIDType;

/////////////////////////////////////////////////////////////////////////
///ICEVolumeType是一个数量类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEVolumeType;

/////////////////////////////////////////////////////////////////////////
///ICEFrontIDType是一个前置编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEFrontIDType;

/////////////////////////////////////////////////////////////////////////
///ICESessionIDType是一个会话编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESessionIDType;

/////////////////////////////////////////////////////////////////////////
///ICESequenceNoType是一个序号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESequenceNoType;

/////////////////////////////////////////////////////////////////////////
///ICECommandNoType是一个DB命令序号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICECommandNoType;

/////////////////////////////////////////////////////////////////////////
///ICEMillisecType是一个时间（毫秒）类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEMillisecType;

/////////////////////////////////////////////////////////////////////////
///ICEVolumeMultipleType是一个合约数量乘数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEVolumeMultipleType;

/////////////////////////////////////////////////////////////////////////
///ICETradingSegmentSNType是一个交易阶段编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETradingSegmentSNType;

/////////////////////////////////////////////////////////////////////////
///ICERequestIDType是一个请求编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICERequestIDType;

/////////////////////////////////////////////////////////////////////////
///ICEYearType是一个年份类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEYearType;

/////////////////////////////////////////////////////////////////////////
///ICEMonthType是一个月份类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEMonthType;

/////////////////////////////////////////////////////////////////////////
///ICEBoolType是一个布尔型类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEBoolType;

/////////////////////////////////////////////////////////////////////////
///ICEPriceType是一个价格类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEPriceType;

/////////////////////////////////////////////////////////////////////////
///ICECombOffsetFlagType是一个组合开平标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombOffsetFlagType[5];

/////////////////////////////////////////////////////////////////////////
///ICECombHedgeFlagType是一个组合投机套保标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombHedgeFlagType[5];

/////////////////////////////////////////////////////////////////////////
///ICERatioType是一个比率类型
/////////////////////////////////////////////////////////////////////////
typedef double ICERatioType;

/////////////////////////////////////////////////////////////////////////
///ICEMoneyType是一个资金类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEMoneyType;

/////////////////////////////////////////////////////////////////////////
///ICELargeVolumeType是一个大额数量类型
/////////////////////////////////////////////////////////////////////////
typedef double ICELargeVolumeType;

/////////////////////////////////////////////////////////////////////////
///ICESequenceSeriesType是一个序列系列号类型
/////////////////////////////////////////////////////////////////////////
typedef short ICESequenceSeriesType;

/////////////////////////////////////////////////////////////////////////
///ICECommPhaseNoType是一个通讯时段编号类型
/////////////////////////////////////////////////////////////////////////
typedef short ICECommPhaseNoType;

/////////////////////////////////////////////////////////////////////////
///ICESequenceLabelType是一个序列编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESequenceLabelType[2];

/////////////////////////////////////////////////////////////////////////
///ICEUnderlyingMultipleType是一个基础商品乘数类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEUnderlyingMultipleType;

/////////////////////////////////////////////////////////////////////////
///ICEPriorityType是一个优先级类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEPriorityType;

/////////////////////////////////////////////////////////////////////////
///ICEContractCodeType是一个合同编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEContractCodeType[41];

/////////////////////////////////////////////////////////////////////////
///ICECityType是一个市类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECityType[51];

/////////////////////////////////////////////////////////////////////////
///ICEIsStockType是一个是否股民类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIsStockType[11];

/////////////////////////////////////////////////////////////////////////
///ICEChannelType是一个渠道类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEChannelType[51];

/////////////////////////////////////////////////////////////////////////
///ICEAddressType是一个通讯地址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAddressType[101];

/////////////////////////////////////////////////////////////////////////
///ICEZipCodeType是一个邮政编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEZipCodeType[7];

/////////////////////////////////////////////////////////////////////////
///ICETelephoneType是一个联系电话类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETelephoneType[41];

/////////////////////////////////////////////////////////////////////////
///ICEFaxType是一个传真类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFaxType[41];

/////////////////////////////////////////////////////////////////////////
///ICEMobileType是一个手机类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMobileType[41];

/////////////////////////////////////////////////////////////////////////
///ICEEMailType是一个电子邮件类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEMailType[41];

/////////////////////////////////////////////////////////////////////////
///ICEMemoType是一个备注类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMemoType[161];

/////////////////////////////////////////////////////////////////////////
///ICECompanyCodeType是一个企业代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECompanyCodeType[51];

/////////////////////////////////////////////////////////////////////////
///ICEWebsiteType是一个网站地址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEWebsiteType[51];

/////////////////////////////////////////////////////////////////////////
///ICETaxNoType是一个税务登记号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETaxNoType[31];

/////////////////////////////////////////////////////////////////////////
///ICEBatchStatusType是一个处理状态类型
/////////////////////////////////////////////////////////////////////////
///未上传
#define ICE_BS_NoUpload '1'
///已上传
#define ICE_BS_Uploaded '2'
///审核失败
#define ICE_BS_Failed '3'

typedef char ICEBatchStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEPropertyIDType是一个属性代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPropertyIDType[33];

/////////////////////////////////////////////////////////////////////////
///ICEPropertyNameType是一个属性名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPropertyNameType[65];

/////////////////////////////////////////////////////////////////////////
///ICELicenseNoType是一个营业执照号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELicenseNoType[51];

/////////////////////////////////////////////////////////////////////////
///ICEAgentIDType是一个经纪人代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAgentIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEAgentNameType是一个经纪人名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAgentNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEAgentGroupIDType是一个经纪人组代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAgentGroupIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEAgentGroupNameType是一个经纪人组名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAgentGroupNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEReturnStyleType是一个按品种返还方式类型
/////////////////////////////////////////////////////////////////////////
///按所有品种
#define ICE_RS_All '1'
///按品种
#define ICE_RS_ByProduct '2'

typedef char ICEReturnStyleType;

/////////////////////////////////////////////////////////////////////////
///ICEReturnPatternType是一个返还模式类型
/////////////////////////////////////////////////////////////////////////
///按成交手数
#define ICE_RP_ByVolume '1'
///按留存手续费
#define ICE_RP_ByFeeOnHand '2'

typedef char ICEReturnPatternType;

/////////////////////////////////////////////////////////////////////////
///ICEReturnLevelType是一个返还级别类型
/////////////////////////////////////////////////////////////////////////
///级别1
#define ICE_RL_Level1 '1'
///级别2
#define ICE_RL_Level2 '2'
///级别3
#define ICE_RL_Level3 '3'
///级别4
#define ICE_RL_Level4 '4'
///级别5
#define ICE_RL_Level5 '5'
///级别6
#define ICE_RL_Level6 '6'
///级别7
#define ICE_RL_Level7 '7'
///级别8
#define ICE_RL_Level8 '8'
///级别9
#define ICE_RL_Level9 '9'

typedef char ICEReturnLevelType;

/////////////////////////////////////////////////////////////////////////
///ICEReturnStandardType是一个返还标准类型
/////////////////////////////////////////////////////////////////////////
///分阶段返还
#define ICE_RSD_ByPeriod '1'
///按某一标准
#define ICE_RSD_ByStandard '2'

typedef char ICEReturnStandardType;

/////////////////////////////////////////////////////////////////////////
///ICEMortgageTypeType是一个质押类型类型
/////////////////////////////////////////////////////////////////////////
///质出
#define ICE_MT_Out '0'
///质入
#define ICE_MT_In '1'

typedef char ICEMortgageTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEInvestorSettlementParamIDType是一个投资者结算参数代码类型
/////////////////////////////////////////////////////////////////////////
///质押比例
#define ICE_ISPI_MortgageRatio '4'
///保证金算法
#define ICE_ISPI_MarginWay '5'
///结算单结存是否包含质押
#define ICE_ISPI_BillDeposit '9'

typedef char ICEInvestorSettlementParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICEExchangeSettlementParamIDType是一个交易所结算参数代码类型
/////////////////////////////////////////////////////////////////////////
///质押比例
#define ICE_ESPI_MortgageRatio '1'
///分项资金导入项
#define ICE_ESPI_OtherFundItem '2'
///分项资金入交易所出入金
#define ICE_ESPI_OtherFundImport '3'
///中金所开户最低可用金额
#define ICE_ESPI_CFFEXMinPrepa '6'
///郑商所结算方式
#define ICE_ESPI_CZCESettlementType '7'
///交易所交割手续费收取方式
#define ICE_ESPI_ExchDelivFeeMode '9'
///投资者交割手续费收取方式
#define ICE_ESPI_DelivFeeMode '0'
///郑商所组合持仓保证金收取方式
#define ICE_ESPI_CZCEComMarginType 'A'
///大商所套利保证金是否优惠
#define ICE_ESPI_DceComMarginType 'B'
///虚值期权保证金优惠比率
#define ICE_ESPI_OptOutDisCountRate 'a'
///最低保障系数
#define ICE_ESPI_OptMiniGuarantee 'b'

typedef char ICEExchangeSettlementParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICESystemParamIDType是一个系统参数代码类型
/////////////////////////////////////////////////////////////////////////
///投资者代码最小长度
#define ICE_SPI_InvestorIDMinLength '1'
///投资者帐号代码最小长度
#define ICE_SPI_AccountIDMinLength '2'
///投资者开户默认登录权限
#define ICE_SPI_UserRightLogon '3'
///投资者交易结算单成交汇总方式
#define ICE_SPI_SettlementBillTrade '4'
///统一开户更新交易编码方式
#define ICE_SPI_TradingCode '5'
///结算是否判断存在未复核的出入金和分项资金
#define ICE_SPI_CheckFund '6'
///是否启用手续费模板数据权限
#define ICE_SPI_CommModelRight '7'
///是否启用保证金率模板数据权限
#define ICE_SPI_MarginModelRight '9'
///是否规范用户才能激活
#define ICE_SPI_IsStandardActive '8'
///上传的交易所结算文件路径
#define ICE_SPI_UploadSettlementFile 'U'
///上报保证金监控中心文件路径
#define ICE_SPI_DownloadCSRCFile 'D'
///生成的结算单文件路径
#define ICE_SPI_SettlementBillFile 'S'
///证监会文件标识
#define ICE_SPI_CSRCOthersFile 'C'
///投资者照片路径
#define ICE_SPI_InvestorPhoto 'P'
///全结经纪公司上传文件路径
#define ICE_SPI_CSRCData 'R'
///开户密码录入方式
#define ICE_SPI_InvestorPwdModel 'I'
///投资者中金所结算文件下载路径
#define ICE_SPI_CFFEXInvestorSettleFile 'F'
///投资者代码编码方式
#define ICE_SPI_InvestorIDType 'a'
///休眠户最高权益
#define ICE_SPI_FreezeMaxReMain 'r'
///手续费相关操作实时上场开关
#define ICE_SPI_IsSync 'A'
///解除开仓权限限制
#define ICE_SPI_RelieveOpenLimit 'O'
///是否规范用户才能休眠
#define ICE_SPI_IsStandardFreeze 'X'
///郑商所是否开放所有品种套保交易
#define ICE_SPI_CZCENormalProductHedge 'B'

typedef char ICESystemParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICETradeParamIDType是一个交易系统参数代码类型
/////////////////////////////////////////////////////////////////////////
///系统加密算法
#define ICE_TPID_EncryptionStandard 'E'
///系统风险算法
#define ICE_TPID_RiskMode 'R'
///系统风险算法是否全局 0-否 1-是
#define ICE_TPID_RiskModeGlobal 'G'
///密码加密算法
#define ICE_TPID_modeEncode 'P'
///价格小数位数参数
#define ICE_TPID_tickMode 'T'
///用户最大会话数
#define ICE_TPID_SingleUserSessionMaxNum 'S'
///最大连续登录失败数
#define ICE_TPID_LoginFailMaxNum 'L'
///是否强制认证
#define ICE_TPID_IsAuthForce 'A'
///是否冻结证券持仓
#define ICE_TPID_IsPosiFreeze 'F'
///是否限仓
#define ICE_TPID_IsPosiLimit 'M'
///郑商所询价时间间隔
#define ICE_TPID_ForQuoteTimeInterval 'Q'
///是否期货限仓
#define ICE_TPID_IsFuturePosiLimit 'B'
///是否期货下单频率限制
#define ICE_TPID_IsFutureOrderFreq 'C'
///是否报单类型限制
#define ICE_TPID_IsOrderTypeLimit 'D'
///行权冻结是否计算盈利
#define ICE_TPID_IsExecOrderProfit 'H'

typedef char ICETradeParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICESettlementParamValueType是一个参数代码值类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESettlementParamValueType[256];

/////////////////////////////////////////////////////////////////////////
///ICECounterIDType是一个计数器代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECounterIDType[33];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorGroupNameType是一个投资者分组名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestorGroupNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEBrandCodeType是一个牌号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBrandCodeType[257];

/////////////////////////////////////////////////////////////////////////
///ICEWarehouseType是一个仓库类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEWarehouseType[257];

/////////////////////////////////////////////////////////////////////////
///ICEProductDateType是一个产期类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProductDateType[41];

/////////////////////////////////////////////////////////////////////////
///ICEGradeType是一个等级类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEGradeType[41];

/////////////////////////////////////////////////////////////////////////
///ICEClassifyType是一个类别类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClassifyType[41];

/////////////////////////////////////////////////////////////////////////
///ICEPositionType是一个货位类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPositionType[41];

/////////////////////////////////////////////////////////////////////////
///ICEYieldlyType是一个产地类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEYieldlyType[41];

/////////////////////////////////////////////////////////////////////////
///ICEWeightType是一个公定重量类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEWeightType[41];

/////////////////////////////////////////////////////////////////////////
///ICESubEntryFundNoType是一个分项资金流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESubEntryFundNoType;

/////////////////////////////////////////////////////////////////////////
///ICEFileIDType是一个文件标识类型
/////////////////////////////////////////////////////////////////////////
///资金数据
#define ICE_FI_SettlementFund 'F'
///成交数据
#define ICE_FI_Trade 'T'
///投资者持仓数据
#define ICE_FI_InvestorPosition 'P'
///投资者分项资金数据
#define ICE_FI_SubEntryFund 'O'
///组合持仓数据
#define ICE_FI_CZCECombinationPos 'C'
///上报保证金监控中心数据
#define ICE_FI_CSRCData 'R'
///郑商所平仓了结数据
#define ICE_FI_CZCEClose 'L'
///郑商所非平仓了结数据
#define ICE_FI_CZCENoClose 'N'
///持仓明细数据
#define ICE_FI_PositionDtl 'D'
///期权执行文件
#define ICE_FI_OptionStrike 'S'
///结算价比对文件
#define ICE_FI_SettlementPriceComparison 'M'
///上期所非持仓变动明细
#define ICE_FI_NonTradePosChange 'B'

typedef char ICEFileIDType;

/////////////////////////////////////////////////////////////////////////
///ICEFileNameType是一个文件名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFileNameType[257];

/////////////////////////////////////////////////////////////////////////
///ICEFileTypeType是一个文件上传类型类型
/////////////////////////////////////////////////////////////////////////
///结算
#define ICE_FUT_Settlement '0'
///核对
#define ICE_FUT_Check '1'

typedef char ICEFileTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFileFormatType是一个文件格式类型
/////////////////////////////////////////////////////////////////////////
///文本文件(.txt)
#define ICE_FFT_Txt '0'
///压缩文件(.zip)
#define ICE_FFT_Zip '1'
///DBF文件(.dbf)
#define ICE_FFT_DBF '2'

typedef char ICEFileFormatType;

/////////////////////////////////////////////////////////////////////////
///ICEFileUploadStatusType是一个文件状态类型
/////////////////////////////////////////////////////////////////////////
///上传成功
#define ICE_FUS_SucceedUpload '1'
///上传失败
#define ICE_FUS_FailedUpload '2'
///导入成功
#define ICE_FUS_SucceedLoad '3'
///导入部分成功
#define ICE_FUS_PartSucceedLoad '4'
///导入失败
#define ICE_FUS_FailedLoad '5'

typedef char ICEFileUploadStatusType;

/////////////////////////////////////////////////////////////////////////
///ICETransferDirectionType是一个移仓方向类型
/////////////////////////////////////////////////////////////////////////
///移出
#define ICE_TD_Out '0'
///移入
#define ICE_TD_In '1'

typedef char ICETransferDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEUploadModeType是一个上传文件类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUploadModeType[21];

/////////////////////////////////////////////////////////////////////////
///ICEAccountIDType是一个投资者帐号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAccountIDType[30];

/////////////////////////////////////////////////////////////////////////
///ICEBankFlagType是一个银行统一标识类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankFlagType[4];

/////////////////////////////////////////////////////////////////////////
///ICEBankAccountType是一个银行账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankAccountType[41];

/////////////////////////////////////////////////////////////////////////
///ICEOpenNameType是一个银行账户的开户人名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOpenNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEOpenBankType是一个银行账户的开户行类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOpenBankType[101];

/////////////////////////////////////////////////////////////////////////
///ICEBankNameType是一个银行名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankNameType[101];

/////////////////////////////////////////////////////////////////////////
///ICEPublishPathType是一个发布路径类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPublishPathType[257];

/////////////////////////////////////////////////////////////////////////
///ICEOperatorIDType是一个操作员代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOperatorIDType[65];

/////////////////////////////////////////////////////////////////////////
///ICEMonthCountType是一个月份数量类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEMonthCountType;

/////////////////////////////////////////////////////////////////////////
///ICEAdvanceMonthArrayType是一个月份提前数组类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAdvanceMonthArrayType[13];

/////////////////////////////////////////////////////////////////////////
///ICEDateExprType是一个日期表达式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDateExprType[1025];

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentIDExprType是一个合约代码表达式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentIDExprType[41];

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentNameExprType是一个合约名称表达式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentNameExprType[41];

/////////////////////////////////////////////////////////////////////////
///ICESpecialCreateRuleType是一个特殊的创建规则类型
/////////////////////////////////////////////////////////////////////////
///没有特殊创建规则
#define ICE_SC_NoSpecialRule '0'
///不包含春节
#define ICE_SC_NoSpringFestival '1'

typedef char ICESpecialCreateRuleType;

/////////////////////////////////////////////////////////////////////////
///ICEBasisPriceTypeType是一个挂牌基准价类型类型
/////////////////////////////////////////////////////////////////////////
///上一合约结算价
#define ICE_IPT_LastSettlement '1'
///上一合约收盘价
#define ICE_IPT_LaseClose '2'

typedef char ICEBasisPriceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEProductLifePhaseType是一个产品生命周期状态类型
/////////////////////////////////////////////////////////////////////////
///活跃
#define ICE_PLP_Active '1'
///不活跃
#define ICE_PLP_NonActive '2'
///注销
#define ICE_PLP_Canceled '3'

typedef char ICEProductLifePhaseType;

/////////////////////////////////////////////////////////////////////////
///ICEDeliveryModeType是一个交割方式类型
/////////////////////////////////////////////////////////////////////////
///现金交割
#define ICE_DM_CashDeliv '1'
///实物交割
#define ICE_DM_CommodityDeliv '2'

typedef char ICEDeliveryModeType;

/////////////////////////////////////////////////////////////////////////
///ICELogLevelType是一个日志级别类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELogLevelType[33];

/////////////////////////////////////////////////////////////////////////
///ICEProcessNameType是一个存储过程名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProcessNameType[257];

/////////////////////////////////////////////////////////////////////////
///ICEOperationMemoType是一个操作摘要类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOperationMemoType[1025];

/////////////////////////////////////////////////////////////////////////
///ICEFundIOTypeType是一个出入金类型类型
/////////////////////////////////////////////////////////////////////////
///出入金
#define ICE_FIOT_FundIO '1'
///银期转帐
#define ICE_FIOT_Transfer '2'
///银期换汇
#define ICE_FIOT_SwapCurrency '3'

typedef char ICEFundIOTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFundTypeType是一个资金类型类型
/////////////////////////////////////////////////////////////////////////
///银行存款
#define ICE_FT_Deposite '1'
///分项资金
#define ICE_FT_ItemFund '2'
///公司调整
#define ICE_FT_Company '3'
///资金内转
#define ICE_FT_InnerTransfer '4'

typedef char ICEFundTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFundDirectionType是一个出入金方向类型
/////////////////////////////////////////////////////////////////////////
///入金
#define ICE_FD_In '1'
///出金
#define ICE_FD_Out '2'

typedef char ICEFundDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEFundStatusType是一个资金状态类型
/////////////////////////////////////////////////////////////////////////
///已录入
#define ICE_FS_Record '1'
///已复核
#define ICE_FS_Check '2'
///已冲销
#define ICE_FS_Charge '3'

typedef char ICEFundStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEBillNoType是一个票据号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBillNoType[15];

/////////////////////////////////////////////////////////////////////////
///ICEBillNameType是一个票据名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBillNameType[33];

/////////////////////////////////////////////////////////////////////////
///ICEPublishStatusType是一个发布状态类型
/////////////////////////////////////////////////////////////////////////
///未发布
#define ICE_PS_None '1'
///正在发布
#define ICE_PS_Publishing '2'
///已发布
#define ICE_PS_Published '3'

typedef char ICEPublishStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEEnumValueIDType是一个枚举值代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEnumValueIDType[65];

/////////////////////////////////////////////////////////////////////////
///ICEEnumValueTypeType是一个枚举值类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEnumValueTypeType[33];

/////////////////////////////////////////////////////////////////////////
///ICEEnumValueLabelType是一个枚举值名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEnumValueLabelType[65];

/////////////////////////////////////////////////////////////////////////
///ICEEnumValueResultType是一个枚举值结果类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEnumValueResultType[33];

/////////////////////////////////////////////////////////////////////////
///ICESystemStatusType是一个系统状态类型
/////////////////////////////////////////////////////////////////////////
///不活跃
#define ICE_ES_NonActive '1'
///启动
#define ICE_ES_Startup '2'
///交易开始初始化
#define ICE_ES_Initialize '3'
///交易完成初始化
#define ICE_ES_Initialized '4'
///收市开始
#define ICE_ES_Close '5'
///收市完成
#define ICE_ES_Closed '6'
///结算
#define ICE_ES_Settlement '7'

typedef char ICESystemStatusType;

/////////////////////////////////////////////////////////////////////////
///ICESettlementStatusType是一个结算状态类型
/////////////////////////////////////////////////////////////////////////
///初始
#define ICE_STS_Initialize '0'
///结算中
#define ICE_STS_Settlementing '1'
///已结算
#define ICE_STS_Settlemented '2'
///结算完成
#define ICE_STS_Finished '3'

typedef char ICESettlementStatusType;

/////////////////////////////////////////////////////////////////////////
///ICERangeIntTypeType是一个限定值类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERangeIntTypeType[33];

/////////////////////////////////////////////////////////////////////////
///ICERangeIntFromType是一个限定值下限类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERangeIntFromType[33];

/////////////////////////////////////////////////////////////////////////
///ICERangeIntToType是一个限定值上限类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERangeIntToType[33];

/////////////////////////////////////////////////////////////////////////
///ICEFunctionIDType是一个功能代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFunctionIDType[25];

/////////////////////////////////////////////////////////////////////////
///ICEFunctionValueCodeType是一个功能编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFunctionValueCodeType[257];

/////////////////////////////////////////////////////////////////////////
///ICEFunctionNameType是一个功能名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFunctionNameType[65];

/////////////////////////////////////////////////////////////////////////
///ICERoleIDType是一个角色编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERoleIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICERoleNameType是一个角色名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERoleNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEDescriptionType是一个描述类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDescriptionType[401];

/////////////////////////////////////////////////////////////////////////
///ICECombineIDType是一个组合编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombineIDType[25];

/////////////////////////////////////////////////////////////////////////
///ICECombineTypeType是一个组合类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombineTypeType[25];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorTypeType是一个投资者类型类型
/////////////////////////////////////////////////////////////////////////
///自然人
#define ICE_CT_Person '0'
///法人
#define ICE_CT_Company '1'
///投资基金
#define ICE_CT_Fund '2'
///特殊法人
#define ICE_CT_SpecialOrgan '3'
///资管户
#define ICE_CT_Asset '4'

typedef char ICEInvestorTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerTypeType是一个经纪公司类型类型
/////////////////////////////////////////////////////////////////////////
///交易会员
#define ICE_BT_Trade '0'
///交易结算会员
#define ICE_BT_TradeSettle '1'

typedef char ICEBrokerTypeType;

/////////////////////////////////////////////////////////////////////////
///ICERiskLevelType是一个风险等级类型
/////////////////////////////////////////////////////////////////////////
///低风险客户
#define ICE_FAS_Low '1'
///普通客户
#define ICE_FAS_Normal '2'
///关注客户
#define ICE_FAS_Focus '3'
///风险客户
#define ICE_FAS_Risk '4'

typedef char ICERiskLevelType;

/////////////////////////////////////////////////////////////////////////
///ICEFeeAcceptStyleType是一个手续费收取方式类型
/////////////////////////////////////////////////////////////////////////
///按交易收取
#define ICE_FAS_ByTrade '1'
///按交割收取
#define ICE_FAS_ByDeliv '2'
///不收
#define ICE_FAS_None '3'
///按指定手续费收取
#define ICE_FAS_FixFee '4'

typedef char ICEFeeAcceptStyleType;

/////////////////////////////////////////////////////////////////////////
///ICEPasswordTypeType是一个密码类型类型
/////////////////////////////////////////////////////////////////////////
///交易密码
#define ICE_PWDT_Trade '1'
///资金密码
#define ICE_PWDT_Account '2'

typedef char ICEPasswordTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAlgorithmType是一个盈亏算法类型
/////////////////////////////////////////////////////////////////////////
///浮盈浮亏都计算
#define ICE_AG_All '1'
///浮盈不计，浮亏计
#define ICE_AG_OnlyLost '2'
///浮盈计，浮亏不计
#define ICE_AG_OnlyGain '3'
///浮盈浮亏都不计算
#define ICE_AG_None '4'

typedef char ICEAlgorithmType;

/////////////////////////////////////////////////////////////////////////
///ICEIncludeCloseProfitType是一个是否包含平仓盈利类型
/////////////////////////////////////////////////////////////////////////
///包含平仓盈利
#define ICE_ICP_Include '0'
///不包含平仓盈利
#define ICE_ICP_NotInclude '2'

typedef char ICEIncludeCloseProfitType;

/////////////////////////////////////////////////////////////////////////
///ICEAllWithoutTradeType是一个是否受可提比例限制类型
/////////////////////////////////////////////////////////////////////////
///无仓无成交不受可提比例限制
#define ICE_AWT_Enable '0'
///受可提比例限制
#define ICE_AWT_Disable '2'
///无仓不受可提比例限制
#define ICE_AWT_NoHoldEnable '3'

typedef char ICEAllWithoutTradeType;

/////////////////////////////////////////////////////////////////////////
///ICECommentType是一个盈亏算法说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECommentType[31];

/////////////////////////////////////////////////////////////////////////
///ICEVersionType是一个版本号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEVersionType[4];

/////////////////////////////////////////////////////////////////////////
///ICETradeCodeType是一个交易代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeCodeType[7];

/////////////////////////////////////////////////////////////////////////
///ICETradeDateType是一个交易日期类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeDateType[9];

/////////////////////////////////////////////////////////////////////////
///ICETradeTimeType是一个交易时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeTimeType[9];

/////////////////////////////////////////////////////////////////////////
///ICETradeSerialType是一个发起方流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeSerialType[9];

/////////////////////////////////////////////////////////////////////////
///ICETradeSerialNoType是一个发起方流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETradeSerialNoType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureIDType是一个期货公司代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICEBankIDType是一个银行代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankIDType[4];

/////////////////////////////////////////////////////////////////////////
///ICEBankBrchIDType是一个银行分中心代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankBrchIDType[5];

/////////////////////////////////////////////////////////////////////////
///ICEBankBranchIDType是一个分中心代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankBranchIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICEOperNoType是一个交易柜员类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOperNoType[17];

/////////////////////////////////////////////////////////////////////////
///ICEDeviceIDType是一个渠道标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDeviceIDType[3];

/////////////////////////////////////////////////////////////////////////
///ICERecordNumType是一个记录数类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERecordNumType[7];

/////////////////////////////////////////////////////////////////////////
///ICEFutureAccountType是一个期货资金账号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureAccountType[22];

/////////////////////////////////////////////////////////////////////////
///ICEFuturePwdFlagType是一个资金密码核对标志类型
/////////////////////////////////////////////////////////////////////////
///不核对
#define ICE_FPWD_UnCheck '0'
///核对
#define ICE_FPWD_Check '1'

typedef char ICEFuturePwdFlagType;

/////////////////////////////////////////////////////////////////////////
///ICETransferTypeType是一个银期转账类型类型
/////////////////////////////////////////////////////////////////////////
///银行转期货
#define ICE_TT_BankToFuture '0'
///期货转银行
#define ICE_TT_FutureToBank '1'

typedef char ICETransferTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureAccPwdType是一个期货资金密码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureAccPwdType[17];

/////////////////////////////////////////////////////////////////////////
///ICECurrencyCodeType是一个币种类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrencyCodeType[4];

/////////////////////////////////////////////////////////////////////////
///ICERetCodeType是一个响应代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERetCodeType[5];

/////////////////////////////////////////////////////////////////////////
///ICERetInfoType是一个响应信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERetInfoType[129];

/////////////////////////////////////////////////////////////////////////
///ICETradeAmtType是一个银行总余额类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETradeAmtType[20];

/////////////////////////////////////////////////////////////////////////
///ICEUseAmtType是一个银行可用余额类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUseAmtType[20];

/////////////////////////////////////////////////////////////////////////
///ICEFetchAmtType是一个银行可取余额类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFetchAmtType[20];

/////////////////////////////////////////////////////////////////////////
///ICETransferValidFlagType是一个转账有效标志类型
/////////////////////////////////////////////////////////////////////////
///无效或失败
#define ICE_TVF_Invalid '0'
///有效
#define ICE_TVF_Valid '1'
///冲正
#define ICE_TVF_Reverse '2'

typedef char ICETransferValidFlagType;

/////////////////////////////////////////////////////////////////////////
///ICECertCodeType是一个证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECertCodeType[21];

/////////////////////////////////////////////////////////////////////////
///ICEReasonType是一个事由类型
/////////////////////////////////////////////////////////////////////////
///错单
#define ICE_RN_CD '0'
///资金在途
#define ICE_RN_ZT '1'
///其它
#define ICE_RN_QT '2'

typedef char ICEReasonType;

/////////////////////////////////////////////////////////////////////////
///ICEFundProjectIDType是一个资金项目编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFundProjectIDType[5];

/////////////////////////////////////////////////////////////////////////
///ICESexType是一个性别类型
/////////////////////////////////////////////////////////////////////////
///未知
#define ICE_SEX_None '0'
///男
#define ICE_SEX_Man '1'
///女
#define ICE_SEX_Woman '2'

typedef char ICESexType;

/////////////////////////////////////////////////////////////////////////
///ICEProfessionType是一个职业类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProfessionType[101];

/////////////////////////////////////////////////////////////////////////
///ICENationalType是一个国籍类型
/////////////////////////////////////////////////////////////////////////
typedef char ICENationalType[31];

/////////////////////////////////////////////////////////////////////////
///ICEProvinceType是一个省类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProvinceType[51];

/////////////////////////////////////////////////////////////////////////
///ICERegionType是一个区类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERegionType[16];

/////////////////////////////////////////////////////////////////////////
///ICECountryType是一个国家类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECountryType[16];

/////////////////////////////////////////////////////////////////////////
///ICELicenseNOType是一个营业执照类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELicenseNOType[33];

/////////////////////////////////////////////////////////////////////////
///ICECompanyTypeType是一个企业性质类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECompanyTypeType[16];

/////////////////////////////////////////////////////////////////////////
///ICEBusinessScopeType是一个经营范围类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBusinessScopeType[1001];

/////////////////////////////////////////////////////////////////////////
///ICECapitalCurrencyType是一个注册资本币种类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECapitalCurrencyType[4];

/////////////////////////////////////////////////////////////////////////
///ICEUserTypeType是一个用户类型类型
/////////////////////////////////////////////////////////////////////////
///投资者
#define ICE_UT_Investor '0'
///操作员
#define ICE_UT_Operator '1'
///管理员
#define ICE_UT_SuperUser '2'

typedef char ICEUserTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBranchIDType是一个营业部编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBranchIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICERateTypeType是一个费率类型类型
/////////////////////////////////////////////////////////////////////////
///保证金率
#define ICE_RATETYPE_MarginRate '2'

typedef char ICERateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICENoteTypeType是一个通知类型类型
/////////////////////////////////////////////////////////////////////////
///交易结算单
#define ICE_NOTETYPE_TradeSettleBill '1'
///交易结算月报
#define ICE_NOTETYPE_TradeSettleMonth '2'
///追加保证金通知书
#define ICE_NOTETYPE_CallMarginNotes '3'
///强行平仓通知书
#define ICE_NOTETYPE_ForceCloseNotes '4'
///成交通知书
#define ICE_NOTETYPE_TradeNotes '5'
///交割通知书
#define ICE_NOTETYPE_DelivNotes '6'

typedef char ICENoteTypeType;

/////////////////////////////////////////////////////////////////////////
///ICESettlementStyleType是一个结算单方式类型
/////////////////////////////////////////////////////////////////////////
///逐日盯市
#define ICE_SBS_Day '1'
///逐笔对冲
#define ICE_SBS_Volume '2'

typedef char ICESettlementStyleType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerDNSType是一个域名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBrokerDNSType[256];

/////////////////////////////////////////////////////////////////////////
///ICESentenceType是一个语句类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESentenceType[501];

/////////////////////////////////////////////////////////////////////////
///ICESettlementBillTypeType是一个结算单类型类型
/////////////////////////////////////////////////////////////////////////
///日报
#define ICE_ST_Day '0'
///月报
#define ICE_ST_Month '1'

typedef char ICESettlementBillTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEUserRightTypeType是一个客户权限类型类型
/////////////////////////////////////////////////////////////////////////
///登录
#define ICE_URT_Logon '1'
///银期转帐
#define ICE_URT_Transfer '2'
///邮寄结算单
#define ICE_URT_EMail '3'
///传真结算单
#define ICE_URT_Fax '4'
///条件单
#define ICE_URT_ConditionOrder '5'

typedef char ICEUserRightTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEMarginPriceTypeType是一个保证金价格类型类型
/////////////////////////////////////////////////////////////////////////
///昨结算价
#define ICE_MPT_PreSettlementPrice '1'
///最新价
#define ICE_MPT_SettlementPrice '2'
///成交均价
#define ICE_MPT_AveragePrice '3'
///开仓价
#define ICE_MPT_OpenPrice '4'

typedef char ICEMarginPriceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBillGenStatusType是一个结算单生成状态类型
/////////////////////////////////////////////////////////////////////////
///未生成
#define ICE_BGS_None '0'
///生成中
#define ICE_BGS_NoGenerated '1'
///已生成
#define ICE_BGS_Generated '2'

typedef char ICEBillGenStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEAlgoTypeType是一个算法类型类型
/////////////////////////////////////////////////////////////////////////
///持仓处理算法
#define ICE_AT_HandlePositionAlgo '1'
///寻找保证金率算法
#define ICE_AT_FindMarginRateAlgo '2'

typedef char ICEAlgoTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEHandlePositionAlgoIDType是一个持仓处理算法编号类型
/////////////////////////////////////////////////////////////////////////
///基本
#define ICE_HPA_Base '1'
///大连商品交易所
#define ICE_HPA_DCE '2'
///郑州商品交易所
#define ICE_HPA_CZCE '3'

typedef char ICEHandlePositionAlgoIDType;

/////////////////////////////////////////////////////////////////////////
///ICEFindMarginRateAlgoIDType是一个寻找保证金率算法编号类型
/////////////////////////////////////////////////////////////////////////
///基本
#define ICE_FMRA_Base '1'
///大连商品交易所
#define ICE_FMRA_DCE '2'
///郑州商品交易所
#define ICE_FMRA_CZCE '3'

typedef char ICEFindMarginRateAlgoIDType;

/////////////////////////////////////////////////////////////////////////
///ICEHandleTradingAccountAlgoIDType是一个资金处理算法编号类型
/////////////////////////////////////////////////////////////////////////
///基本
#define ICE_HTAA_Base '1'
///大连商品交易所
#define ICE_HTAA_DCE '2'
///郑州商品交易所
#define ICE_HTAA_CZCE '3'

typedef char ICEHandleTradingAccountAlgoIDType;

/////////////////////////////////////////////////////////////////////////
///ICEPersonTypeType是一个联系人类型类型
/////////////////////////////////////////////////////////////////////////
///指定下单人
#define ICE_PST_Order '1'
///开户授权人
#define ICE_PST_Open '2'
///资金调拨人
#define ICE_PST_Fund '3'
///结算单确认人
#define ICE_PST_Settlement '4'
///法人
#define ICE_PST_Company '5'
///法人代表
#define ICE_PST_Corporation '6'
///投资者联系人
#define ICE_PST_LinkMan '7'
///分户管理资产负责人
#define ICE_PST_Ledger '8'
///托（保）管人
#define ICE_PST_Trustee '9'
///托（保）管机构法人代表
#define ICE_PST_TrusteeCorporation 'A'
///托（保）管机构开户授权人
#define ICE_PST_TrusteeOpen 'B'
///托（保）管机构联系人
#define ICE_PST_TrusteeContact 'C'
///境外自然人参考证件
#define ICE_PST_ForeignerRefer 'D'
///法人代表参考证件
#define ICE_PST_CorporationRefer 'E'

typedef char ICEPersonTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEQueryInvestorRangeType是一个查询范围类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_QIR_All '1'
///查询分类
#define ICE_QIR_Group '2'
///单一投资者
#define ICE_QIR_Single '3'

typedef char ICEQueryInvestorRangeType;

/////////////////////////////////////////////////////////////////////////
///ICEInvestorRiskStatusType是一个投资者风险状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_IRS_Normal '1'
///警告
#define ICE_IRS_Warn '2'
///追保
#define ICE_IRS_Call '3'
///强平
#define ICE_IRS_Force '4'
///异常
#define ICE_IRS_Exception '5'

typedef char ICEInvestorRiskStatusType;

/////////////////////////////////////////////////////////////////////////
///ICELegIDType是一个单腿编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICELegIDType;

/////////////////////////////////////////////////////////////////////////
///ICELegMultipleType是一个单腿乘数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICELegMultipleType;

/////////////////////////////////////////////////////////////////////////
///ICEImplyLevelType是一个派生层数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEImplyLevelType;

/////////////////////////////////////////////////////////////////////////
///ICEClearAccountType是一个结算账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClearAccountType[33];

/////////////////////////////////////////////////////////////////////////
///ICEOrganNOType是一个结算账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrganNOType[6];

/////////////////////////////////////////////////////////////////////////
///ICEClearbarchIDType是一个结算账户联行号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClearbarchIDType[6];

/////////////////////////////////////////////////////////////////////////
///ICEUserEventTypeType是一个用户事件类型类型
/////////////////////////////////////////////////////////////////////////
///登录
#define ICE_UET_Login '1'
///登出
#define ICE_UET_Logout '2'
///交易成功
#define ICE_UET_Trading '3'
///交易失败
#define ICE_UET_TradingError '4'
///修改密码
#define ICE_UET_UpdatePassword '5'
///客户端认证
#define ICE_UET_Authenticate '6'
///其他
#define ICE_UET_Other '9'

typedef char ICEUserEventTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEUserEventInfoType是一个用户事件信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserEventInfoType[1025];

/////////////////////////////////////////////////////////////////////////
///ICECloseStyleType是一个平仓方式类型
/////////////////////////////////////////////////////////////////////////
///先开先平
#define ICE_ICS_Close '0'
///先平今再平昨
#define ICE_ICS_CloseToday '1'

typedef char ICECloseStyleType;

/////////////////////////////////////////////////////////////////////////
///ICEStatModeType是一个统计方式类型
/////////////////////////////////////////////////////////////////////////
///----
#define ICE_SM_Non '0'
///按合约统计
#define ICE_SM_Instrument '1'
///按产品统计
#define ICE_SM_Product '2'
///按投资者统计
#define ICE_SM_Investor '3'

typedef char ICEStatModeType;

/////////////////////////////////////////////////////////////////////////
///ICEParkedOrderStatusType是一个预埋单状态类型
/////////////////////////////////////////////////////////////////////////
///未发送
#define ICE_PAOS_NotSend '1'
///已发送
#define ICE_PAOS_Send '2'
///已删除
#define ICE_PAOS_Deleted '3'

typedef char ICEParkedOrderStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEParkedOrderIDType是一个预埋报单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEParkedOrderIDType[20];

/////////////////////////////////////////////////////////////////////////
///ICEParkedOrderActionIDType是一个预埋撤单编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEParkedOrderActionIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEVirDealStatusType是一个处理状态类型
/////////////////////////////////////////////////////////////////////////
///正在处理
#define ICE_VDS_Dealing '1'
///处理成功
#define ICE_VDS_DeaclSucceed '2'

typedef char ICEVirDealStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEOrgSystemIDType是一个原有系统代码类型
/////////////////////////////////////////////////////////////////////////
///综合交易平台
#define ICE_ORGS_Standard '0'
///易盛系统
#define ICE_ORGS_ESunny '1'
///金仕达V6系统
#define ICE_ORGS_KingStarV6 '2'

typedef char ICEOrgSystemIDType;

/////////////////////////////////////////////////////////////////////////
///ICEVirTradeStatusType是一个交易状态类型
/////////////////////////////////////////////////////////////////////////
///正常处理中
#define ICE_VTS_NaturalDeal '0'
///成功结束
#define ICE_VTS_SucceedEnd '1'
///失败结束
#define ICE_VTS_FailedEND '2'
///异常中
#define ICE_VTS_Exception '3'
///已人工异常处理
#define ICE_VTS_ManualDeal '4'
///通讯异常 ，请人工处理
#define ICE_VTS_MesException '5'
///系统出错，请人工处理
#define ICE_VTS_SysException '6'

typedef char ICEVirTradeStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEVirBankAccTypeType是一个银行帐户类型类型
/////////////////////////////////////////////////////////////////////////
///存折
#define ICE_VBAT_BankBook '1'
///储蓄卡
#define ICE_VBAT_BankCard '2'
///信用卡
#define ICE_VBAT_CreditCard '3'

typedef char ICEVirBankAccTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEVirementStatusType是一个银行帐户类型类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_VMS_Natural '0'
///销户
#define ICE_VMS_Canceled '9'

typedef char ICEVirementStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEVirementAvailAbilityType是一个有效标志类型
/////////////////////////////////////////////////////////////////////////
///未确认
#define ICE_VAA_NoAvailAbility '0'
///有效
#define ICE_VAA_AvailAbility '1'
///冲正
#define ICE_VAA_Repeal '2'

typedef char ICEVirementAvailAbilityType;

/////////////////////////////////////////////////////////////////////////
///ICEVirementTradeCodeType是一个交易代码类型
/////////////////////////////////////////////////////////////////////////
///银行发起银行资金转期货
#define ICE_VTC_BankBankToFuture '102001'
///银行发起期货资金转银行
#define ICE_VTC_BankFutureToBank '102002'
///期货发起银行资金转期货
#define ICE_VTC_FutureBankToFuture '202001'
///期货发起期货资金转银行
#define ICE_VTC_FutureFutureToBank '202002'

typedef char ICEVirementTradeCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEPhotoTypeNameType是一个影像类型名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPhotoTypeNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEPhotoTypeIDType是一个影像类型代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPhotoTypeIDType[5];

/////////////////////////////////////////////////////////////////////////
///ICEPhotoNameType是一个影像名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPhotoNameType[161];

/////////////////////////////////////////////////////////////////////////
///ICETopicIDType是一个主题代码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETopicIDType;

/////////////////////////////////////////////////////////////////////////
///ICEReportTypeIDType是一个交易报告类型标识类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEReportTypeIDType[3];

/////////////////////////////////////////////////////////////////////////
///ICECharacterIDType是一个交易特征代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECharacterIDType[5];

/////////////////////////////////////////////////////////////////////////
///ICEAMLParamIDType是一个参数代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLParamIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEAMLInvestorTypeType是一个投资者类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLInvestorTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLIdCardTypeType是一个证件类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLIdCardTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLTradeDirectType是一个资金进出方向类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLTradeDirectType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLTradeModelType是一个资金进出方式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLTradeModelType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLParamIDType是一个参数代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLParamIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEAMLOpParamValueType是一个业务参数代码值类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEAMLOpParamValueType;

/////////////////////////////////////////////////////////////////////////
///ICEAMLCustomerCardTypeType是一个客户身份证件/证明文件类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLCustomerCardTypeType[81];

/////////////////////////////////////////////////////////////////////////
///ICEAMLInstitutionNameType是一个金融机构网点名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLInstitutionNameType[65];

/////////////////////////////////////////////////////////////////////////
///ICEAMLDistrictIDType是一个金融机构网点所在地区行政区划代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLDistrictIDType[7];

/////////////////////////////////////////////////////////////////////////
///ICEAMLRelationShipType是一个金融机构网点与大额交易的关系类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLRelationShipType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLInstitutionTypeType是一个金融机构网点代码类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLInstitutionTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLInstitutionIDType是一个金融机构网点代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLInstitutionIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEAMLAccountTypeType是一个账户类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLAccountTypeType[5];

/////////////////////////////////////////////////////////////////////////
///ICEAMLTradingTypeType是一个交易方式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLTradingTypeType[7];

/////////////////////////////////////////////////////////////////////////
///ICEAMLTransactClassType是一个涉外收支交易分类与代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLTransactClassType[7];

/////////////////////////////////////////////////////////////////////////
///ICEAMLCapitalIOType是一个资金收付标识类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLCapitalIOType[3];

/////////////////////////////////////////////////////////////////////////
///ICEAMLSiteType是一个交易地点类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLSiteType[10];

/////////////////////////////////////////////////////////////////////////
///ICEAMLCapitalPurposeType是一个资金用途类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLCapitalPurposeType[129];

/////////////////////////////////////////////////////////////////////////
///ICEAMLReportTypeType是一个报文类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLReportTypeType[2];

/////////////////////////////////////////////////////////////////////////
///ICEAMLSerialNoType是一个编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLSerialNoType[5];

/////////////////////////////////////////////////////////////////////////
///ICEAMLStatusType是一个状态类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLStatusType[2];

/////////////////////////////////////////////////////////////////////////
///ICEAMLGenStatusType是一个Aml生成方式类型
/////////////////////////////////////////////////////////////////////////
///程序生成
#define ICE_GEN_Program '0'
///人工生成
#define ICE_GEN_HandWork '1'

typedef char ICEAMLGenStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEAMLSeqCodeType是一个业务标识号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLSeqCodeType[65];

/////////////////////////////////////////////////////////////////////////
///ICEAMLFileNameType是一个AML文件名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLFileNameType[257];

/////////////////////////////////////////////////////////////////////////
///ICEAMLMoneyType是一个反洗钱资金类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEAMLMoneyType;

/////////////////////////////////////////////////////////////////////////
///ICEAMLFileAmountType是一个反洗钱资金类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEAMLFileAmountType;

/////////////////////////////////////////////////////////////////////////
///ICECFMMCKeyType是一个密钥类型(保证金监管)类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECFMMCKeyType[21];

/////////////////////////////////////////////////////////////////////////
///ICECFMMCTokenType是一个令牌类型(保证金监管)类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECFMMCTokenType[21];

/////////////////////////////////////////////////////////////////////////
///ICECFMMCKeyKindType是一个动态密钥类别(保证金监管)类型
/////////////////////////////////////////////////////////////////////////
///主动请求更新
#define ICE_CFMMCKK_REQUEST 'R'
///CFMMC自动更新
#define ICE_CFMMCKK_AUTO 'A'
///CFMMC手动更新
#define ICE_CFMMCKK_MANUAL 'M'

typedef char ICECFMMCKeyKindType;

/////////////////////////////////////////////////////////////////////////
///ICEAMLReportNameType是一个报文名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAMLReportNameType[81];

/////////////////////////////////////////////////////////////////////////
///ICEDBFComdTypeType是一个DBF命令类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBFComdTypeType[65];

/////////////////////////////////////////////////////////////////////////
///ICEDBFComTimeType是一个DBF时间类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBFComTimeType[65];

/////////////////////////////////////////////////////////////////////////
///ICEDBFComNoType是一个DBF流水号类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBFComNoType[17];

/////////////////////////////////////////////////////////////////////////
///ICEDBFFdNameType是一个DBF字段类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBFFdNameType[256];

/////////////////////////////////////////////////////////////////////////
///ICEDBFFdContentType是一个DBF字段内容类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBFFdContentType[256];

/////////////////////////////////////////////////////////////////////////
///ICEIndividualNameType是一个个人姓名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIndividualNameType[51];

/////////////////////////////////////////////////////////////////////////
///ICECurrencyIDType是一个币种代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrencyIDType[15];

/////////////////////////////////////////////////////////////////////////
///ICECustNumberType是一个客户编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECustNumberType[36];

/////////////////////////////////////////////////////////////////////////
///ICEOrganCodeType是一个机构编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrganCodeType[36];

/////////////////////////////////////////////////////////////////////////
///ICEOrganNameType是一个机构名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrganNameType[71];

/////////////////////////////////////////////////////////////////////////
///ICESuperOrganCodeType是一个上级机构编码,即期货公司总部、银行总行类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESuperOrganCodeType[12];

/////////////////////////////////////////////////////////////////////////
///ICESubBranchIDType是一个分支机构类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESubBranchIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICESubBranchNameType是一个分支机构名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESubBranchNameType[71];

/////////////////////////////////////////////////////////////////////////
///ICEBranchNetCodeType是一个机构网点号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBranchNetCodeType[31];

/////////////////////////////////////////////////////////////////////////
///ICEBranchNetNameType是一个机构网点名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBranchNetNameType[71];

/////////////////////////////////////////////////////////////////////////
///ICEOrganFlagType是一个机构标识类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOrganFlagType[2];

/////////////////////////////////////////////////////////////////////////
///ICEBankCodingForFutureType是一个银行对期货公司的编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankCodingForFutureType[33];

/////////////////////////////////////////////////////////////////////////
///ICEBankReturnCodeType是一个银行对返回码的定义类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankReturnCodeType[7];

/////////////////////////////////////////////////////////////////////////
///ICEPlateReturnCodeType是一个银期转帐平台对返回码的定义类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPlateReturnCodeType[5];

/////////////////////////////////////////////////////////////////////////
///ICEBankSubBranchIDType是一个银行分支机构编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankSubBranchIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICEFutureBranchIDType是一个期货分支机构编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureBranchIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICEReturnCodeType是一个返回代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEReturnCodeType[7];

/////////////////////////////////////////////////////////////////////////
///ICEOperatorCodeType是一个操作员类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOperatorCodeType[17];

/////////////////////////////////////////////////////////////////////////
///ICEClearDepIDType是一个机构结算帐户机构号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClearDepIDType[6];

/////////////////////////////////////////////////////////////////////////
///ICEClearBrchIDType是一个机构结算帐户联行号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClearBrchIDType[6];

/////////////////////////////////////////////////////////////////////////
///ICEClearNameType是一个机构结算帐户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClearNameType[71];

/////////////////////////////////////////////////////////////////////////
///ICEBankAccountNameType是一个银行帐户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankAccountNameType[71];

/////////////////////////////////////////////////////////////////////////
///ICEInvDepIDType是一个机构投资人账号机构号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvDepIDType[6];

/////////////////////////////////////////////////////////////////////////
///ICEInvBrchIDType是一个机构投资人联行号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvBrchIDType[6];

/////////////////////////////////////////////////////////////////////////
///ICEMessageFormatVersionType是一个信息格式版本类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMessageFormatVersionType[36];

/////////////////////////////////////////////////////////////////////////
///ICEDigestType是一个摘要类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDigestType[36];

/////////////////////////////////////////////////////////////////////////
///ICEAuthenticDataType是一个认证数据类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAuthenticDataType[129];

/////////////////////////////////////////////////////////////////////////
///ICEPasswordKeyType是一个密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPasswordKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEFutureAccountNameType是一个期货帐户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureAccountNameType[129];

/////////////////////////////////////////////////////////////////////////
///ICEMobilePhoneType是一个手机类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEMobilePhoneType[21];

/////////////////////////////////////////////////////////////////////////
///ICEFutureMainKeyType是一个期货公司主密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureMainKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEFutureWorkKeyType是一个期货公司工作密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureWorkKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEFutureTransKeyType是一个期货公司传输密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFutureTransKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEBankMainKeyType是一个银行主密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankMainKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEBankWorkKeyType是一个银行工作密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankWorkKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEBankTransKeyType是一个银行传输密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankTransKeyType[129];

/////////////////////////////////////////////////////////////////////////
///ICEBankServerDescriptionType是一个银行服务器描述信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankServerDescriptionType[129];

/////////////////////////////////////////////////////////////////////////
///ICEAddInfoType是一个附加信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAddInfoType[129];

/////////////////////////////////////////////////////////////////////////
///ICEDescrInfoForReturnCodeType是一个返回码描述类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDescrInfoForReturnCodeType[129];

/////////////////////////////////////////////////////////////////////////
///ICECountryCodeType是一个国家代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECountryCodeType[21];

/////////////////////////////////////////////////////////////////////////
///ICESerialType是一个流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESerialType;

/////////////////////////////////////////////////////////////////////////
///ICEPlateSerialType是一个平台流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEPlateSerialType;

/////////////////////////////////////////////////////////////////////////
///ICEBankSerialType是一个银行流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankSerialType[13];

/////////////////////////////////////////////////////////////////////////
///ICECorrectSerialType是一个被冲正交易流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICECorrectSerialType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureSerialType是一个期货公司流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEFutureSerialType;

/////////////////////////////////////////////////////////////////////////
///ICEApplicationIDType是一个应用标识类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEApplicationIDType;

/////////////////////////////////////////////////////////////////////////
///ICEBankProxyIDType是一个银行代理标识类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEBankProxyIDType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTCoreIDType是一个银期转帐核心系统标识类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEFBTCoreIDType;

/////////////////////////////////////////////////////////////////////////
///ICEServerPortType是一个服务端口号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEServerPortType;

/////////////////////////////////////////////////////////////////////////
///ICERepealedTimesType是一个已经冲正次数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICERepealedTimesType;

/////////////////////////////////////////////////////////////////////////
///ICERepealTimeIntervalType是一个冲正时间间隔类型
/////////////////////////////////////////////////////////////////////////
typedef int ICERepealTimeIntervalType;

/////////////////////////////////////////////////////////////////////////
///ICETotalTimesType是一个每日累计转帐次数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETotalTimesType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTRequestIDType是一个请求ID类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEFBTRequestIDType;

/////////////////////////////////////////////////////////////////////////
///ICETIDType是一个交易ID类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETIDType;

/////////////////////////////////////////////////////////////////////////
///ICETradeAmountType是一个交易金额（元）类型
/////////////////////////////////////////////////////////////////////////
typedef double ICETradeAmountType;

/////////////////////////////////////////////////////////////////////////
///ICECustFeeType是一个应收客户费用（元）类型
/////////////////////////////////////////////////////////////////////////
typedef double ICECustFeeType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureFeeType是一个应收期货公司费用（元）类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEFutureFeeType;

/////////////////////////////////////////////////////////////////////////
///ICESingleMaxAmtType是一个单笔最高限额类型
/////////////////////////////////////////////////////////////////////////
typedef double ICESingleMaxAmtType;

/////////////////////////////////////////////////////////////////////////
///ICESingleMinAmtType是一个单笔最低限额类型
/////////////////////////////////////////////////////////////////////////
typedef double ICESingleMinAmtType;

/////////////////////////////////////////////////////////////////////////
///ICETotalAmtType是一个每日累计转帐额度类型
/////////////////////////////////////////////////////////////////////////
typedef double ICETotalAmtType;

/////////////////////////////////////////////////////////////////////////
///ICECertificationTypeType是一个证件类型类型
/////////////////////////////////////////////////////////////////////////
///身份证
#define ICE_CFT_IDCard '0'
///护照
#define ICE_CFT_Passport '1'
///军官证
#define ICE_CFT_OfficerIDCard '2'
///士兵证
#define ICE_CFT_SoldierIDCard '3'
///回乡证
#define ICE_CFT_HomeComingCard '4'
///户口簿
#define ICE_CFT_HouseholdRegister  '5'
///营业执照号
#define ICE_CFT_LicenseNo '6'
///组织机构代码证
#define ICE_CFT_InstitutionCodeCard '7'
///临时营业执照号
#define ICE_CFT_TempLicenseNo '8'
///民办非企业登记证书
#define ICE_CFT_NoEnterpriseLicenseNo '9'
///其他证件
#define ICE_CFT_OtherCard 'x'
///主管部门批文
#define ICE_CFT_SuperDepAgree 'a'

typedef char ICECertificationTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFileBusinessCodeType是一个文件业务功能类型
/////////////////////////////////////////////////////////////////////////
///其他
#define ICE_FBC_Others '0'
///转账交易明细对账
#define ICE_FBC_TransferDetails '1'
///客户账户状态对账
#define ICE_FBC_CustAccStatus '2'
///账户类交易明细对账
#define ICE_FBC_AccountTradeDetails '3'
///期货账户信息变更明细对账
#define ICE_FBC_FutureAccountChangeInfoDetails '4'
///客户资金台账余额明细对账
#define ICE_FBC_CustMoneyDetail '5'
///客户销户结息明细对账
#define ICE_FBC_CustCancelAccountInfo '6'
///客户资金余额对账结果
#define ICE_FBC_CustMoneyResult '7'
///其它对账异常结果文件
#define ICE_FBC_OthersExceptionResult '8'
///客户结息净额明细
#define ICE_FBC_CustInterestNetMoneyDetails '9'
///客户资金交收明细
#define ICE_FBC_CustMoneySendAndReceiveDetails 'a'
///法人存管银行资金交收汇总
#define ICE_FBC_CorporationMoneyTotal 'b'
///主体间资金交收汇总
#define ICE_FBC_MainbodyMoneyTotal 'c'
///总分平衡监管数据
#define ICE_FBC_MainPartMonitorData 'd'
///存管银行备付金余额
#define ICE_FBC_PreparationMoney 'e'
///协办存管银行资金监管数据
#define ICE_FBC_BankMoneyMonitorData 'f'

typedef char ICEFileBusinessCodeType;

/////////////////////////////////////////////////////////////////////////
///ICECashExchangeCodeType是一个汇钞标志类型
/////////////////////////////////////////////////////////////////////////
///汇
#define ICE_CEC_Exchange '1'
///钞
#define ICE_CEC_Cash '2'

typedef char ICECashExchangeCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEYesNoIndicatorType是一个是或否标识类型
/////////////////////////////////////////////////////////////////////////
///是
#define ICE_YNI_Yes '0'
///否
#define ICE_YNI_No '1'

typedef char ICEYesNoIndicatorType;

/////////////////////////////////////////////////////////////////////////
///ICEBanlanceTypeType是一个余额类型类型
/////////////////////////////////////////////////////////////////////////
///当前余额
#define ICE_BLT_CurrentMoney '0'
///可用余额
#define ICE_BLT_UsableMoney '1'
///可取余额
#define ICE_BLT_FetchableMoney '2'
///冻结余额
#define ICE_BLT_FreezeMoney '3'

typedef char ICEBanlanceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEGenderType是一个性别类型
/////////////////////////////////////////////////////////////////////////
///未知状态
#define ICE_GD_Unknown '0'
///男
#define ICE_GD_Male '1'
///女
#define ICE_GD_Female '2'

typedef char ICEGenderType;

/////////////////////////////////////////////////////////////////////////
///ICEFeePayFlagType是一个费用支付标志类型
/////////////////////////////////////////////////////////////////////////
///由受益方支付费用
#define ICE_FPF_BEN '0'
///由发送方支付费用
#define ICE_FPF_OUR '1'
///由发送方支付发起的费用，受益方支付接受的费用
#define ICE_FPF_SHA '2'

typedef char ICEFeePayFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEPassWordKeyTypeType是一个密钥类型类型
/////////////////////////////////////////////////////////////////////////
///交换密钥
#define ICE_PWKT_ExchangeKey '0'
///密码密钥
#define ICE_PWKT_PassWordKey '1'
///MAC密钥
#define ICE_PWKT_MACKey '2'
///报文密钥
#define ICE_PWKT_MessageKey '3'

typedef char ICEPassWordKeyTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTPassWordTypeType是一个密码类型类型
/////////////////////////////////////////////////////////////////////////
///查询
#define ICE_PWT_Query '0'
///取款
#define ICE_PWT_Fetch '1'
///转帐
#define ICE_PWT_Transfer '2'
///交易
#define ICE_PWT_Trade '3'

typedef char ICEFBTPassWordTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTEncryModeType是一个加密方式类型
/////////////////////////////////////////////////////////////////////////
///不加密
#define ICE_EM_NoEncry '0'
///DES
#define ICE_EM_DES '1'
///3DES
#define ICE_EM_3DES '2'

typedef char ICEFBTEncryModeType;

/////////////////////////////////////////////////////////////////////////
///ICEBankRepealFlagType是一个银行冲正标志类型
/////////////////////////////////////////////////////////////////////////
///银行无需自动冲正
#define ICE_BRF_BankNotNeedRepeal '0'
///银行待自动冲正
#define ICE_BRF_BankWaitingRepeal '1'
///银行已自动冲正
#define ICE_BRF_BankBeenRepealed '2'

typedef char ICEBankRepealFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerRepealFlagType是一个期商冲正标志类型
/////////////////////////////////////////////////////////////////////////
///期商无需自动冲正
#define ICE_BRORF_BrokerNotNeedRepeal '0'
///期商待自动冲正
#define ICE_BRORF_BrokerWaitingRepeal '1'
///期商已自动冲正
#define ICE_BRORF_BrokerBeenRepealed '2'

typedef char ICEBrokerRepealFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEInstitutionTypeType是一个机构类别类型
/////////////////////////////////////////////////////////////////////////
///银行
#define ICE_TS_Bank '0'
///期商
#define ICE_TS_Future '1'
///券商
#define ICE_TS_Store '2'

typedef char ICEInstitutionTypeType;

/////////////////////////////////////////////////////////////////////////
///ICELastFragmentType是一个最后分片标志类型
/////////////////////////////////////////////////////////////////////////
///是最后分片
#define ICE_LF_Yes '0'
///不是最后分片
#define ICE_LF_No '1'

typedef char ICELastFragmentType;

/////////////////////////////////////////////////////////////////////////
///ICEBankAccStatusType是一个银行账户状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_BAS_Normal '0'
///冻结
#define ICE_BAS_Freeze '1'
///挂失
#define ICE_BAS_ReportLoss '2'

typedef char ICEBankAccStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEMoneyAccountStatusType是一个资金账户状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_MAS_Normal '0'
///销户
#define ICE_MAS_Cancel '1'

typedef char ICEMoneyAccountStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEManageStatusType是一个存管状态类型
/////////////////////////////////////////////////////////////////////////
///指定存管
#define ICE_MSS_Point '0'
///预指定
#define ICE_MSS_PrePoint '1'
///撤销指定
#define ICE_MSS_CancelPoint '2'

typedef char ICEManageStatusType;

/////////////////////////////////////////////////////////////////////////
///ICESystemTypeType是一个应用系统类型类型
/////////////////////////////////////////////////////////////////////////
///银期转帐
#define ICE_SYT_FutureBankTransfer '0'
///银证转帐
#define ICE_SYT_StockBankTransfer '1'
///第三方存管
#define ICE_SYT_TheThirdPartStore '2'

typedef char ICESystemTypeType;

/////////////////////////////////////////////////////////////////////////
///ICETxnEndFlagType是一个银期转帐划转结果标志类型
/////////////////////////////////////////////////////////////////////////
///正常处理中
#define ICE_TEF_NormalProcessing '0'
///成功结束
#define ICE_TEF_Success '1'
///失败结束
#define ICE_TEF_Failed '2'
///异常中
#define ICE_TEF_Abnormal '3'
///已人工异常处理
#define ICE_TEF_ManualProcessedForException '4'
///通讯异常 ，请人工处理
#define ICE_TEF_CommuFailedNeedManualProcess '5'
///系统出错，请人工处理
#define ICE_TEF_SysErrorNeedManualProcess '6'

typedef char ICETxnEndFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEProcessStatusType是一个银期转帐服务处理状态类型
/////////////////////////////////////////////////////////////////////////
///未处理
#define ICE_PSS_NotProcess '0'
///开始处理
#define ICE_PSS_StartProcess '1'
///处理完成
#define ICE_PSS_Finished '2'

typedef char ICEProcessStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECustTypeType是一个客户类型类型
/////////////////////////////////////////////////////////////////////////
///自然人
#define ICE_CUSTT_Person '0'
///机构户
#define ICE_CUSTT_Institution '1'

typedef char ICECustTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTTransferDirectionType是一个银期转帐方向类型
/////////////////////////////////////////////////////////////////////////
///入金，银行转期货
#define ICE_FBTTD_FromBankToFuture '1'
///出金，期货转银行
#define ICE_FBTTD_FromFutureToBank '2'

typedef char ICEFBTTransferDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEOpenOrDestroyType是一个开销户类别类型
/////////////////////////////////////////////////////////////////////////
///开户
#define ICE_OOD_Open '1'
///销户
#define ICE_OOD_Destroy '0'

typedef char ICEOpenOrDestroyType;

/////////////////////////////////////////////////////////////////////////
///ICEAvailabilityFlagType是一个有效标志类型
/////////////////////////////////////////////////////////////////////////
///未确认
#define ICE_AVAF_Invalid '0'
///有效
#define ICE_AVAF_Valid '1'
///冲正
#define ICE_AVAF_Repeal '2'

typedef char ICEAvailabilityFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEOrganTypeType是一个机构类型类型
/////////////////////////////////////////////////////////////////////////
///银行代理
#define ICE_OT_Bank '1'
///交易前置
#define ICE_OT_Future '2'
///银期转帐平台管理
#define ICE_OT_PlateForm '9'

typedef char ICEOrganTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOrganLevelType是一个机构级别类型
/////////////////////////////////////////////////////////////////////////
///银行总行或期商总部
#define ICE_OL_HeadQuarters '1'
///银行分中心或期货公司营业部
#define ICE_OL_Branch '2'

typedef char ICEOrganLevelType;

/////////////////////////////////////////////////////////////////////////
///ICEProtocalIDType是一个协议类型类型
/////////////////////////////////////////////////////////////////////////
///期商协议
#define ICE_PID_FutureProtocal '0'
///工行协议
#define ICE_PID_ICBCProtocal '1'
///农行协议
#define ICE_PID_ABCProtocal '2'
///中国银行协议
#define ICE_PID_CBCProtocal '3'
///建行协议
#define ICE_PID_CCBProtocal '4'
///交行协议
#define ICE_PID_BOCOMProtocal '5'
///银期转帐平台协议
#define ICE_PID_FBTPlateFormProtocal 'X'

typedef char ICEProtocalIDType;

/////////////////////////////////////////////////////////////////////////
///ICEConnectModeType是一个套接字连接方式类型
/////////////////////////////////////////////////////////////////////////
///短连接
#define ICE_CM_ShortConnect '0'
///长连接
#define ICE_CM_LongConnect '1'

typedef char ICEConnectModeType;

/////////////////////////////////////////////////////////////////////////
///ICESyncModeType是一个套接字通信方式类型
/////////////////////////////////////////////////////////////////////////
///异步
#define ICE_SRM_ASync '0'
///同步
#define ICE_SRM_Sync '1'

typedef char ICESyncModeType;

/////////////////////////////////////////////////////////////////////////
///ICEBankAccTypeType是一个银行帐号类型类型
/////////////////////////////////////////////////////////////////////////
///银行存折
#define ICE_BAT_BankBook '1'
///储蓄卡
#define ICE_BAT_SavingCard '2'
///信用卡
#define ICE_BAT_CreditCard '3'

typedef char ICEBankAccTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureAccTypeType是一个期货公司帐号类型类型
/////////////////////////////////////////////////////////////////////////
///银行存折
#define ICE_FAT_BankBook '1'
///储蓄卡
#define ICE_FAT_SavingCard '2'
///信用卡
#define ICE_FAT_CreditCard '3'

typedef char ICEFutureAccTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOrganStatusType是一个接入机构状态类型
/////////////////////////////////////////////////////////////////////////
///启用
#define ICE_OS_Ready '0'
///签到
#define ICE_OS_CheckIn '1'
///签退
#define ICE_OS_CheckOut '2'
///对帐文件到达
#define ICE_OS_CheckFileArrived '3'
///对帐
#define ICE_OS_CheckDetail '4'
///日终清理
#define ICE_OS_DayEndClean '5'
///注销
#define ICE_OS_Invalid '9'

typedef char ICEOrganStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECCBFeeModeType是一个建行收费模式类型
/////////////////////////////////////////////////////////////////////////
///按金额扣收
#define ICE_CCBFM_ByAmount '1'
///按月扣收
#define ICE_CCBFM_ByMonth '2'

typedef char ICECCBFeeModeType;

/////////////////////////////////////////////////////////////////////////
///ICECommApiTypeType是一个通讯API类型类型
/////////////////////////////////////////////////////////////////////////
///客户端
#define ICE_CAPIT_Client '1'
///服务端
#define ICE_CAPIT_Server '2'
///交易系统的UserApi
#define ICE_CAPIT_UserApi '3'

typedef char ICECommApiTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEServiceIDType是一个服务编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEServiceIDType;

/////////////////////////////////////////////////////////////////////////
///ICEServiceLineNoType是一个服务线路编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEServiceLineNoType;

/////////////////////////////////////////////////////////////////////////
///ICEServiceNameType是一个服务名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEServiceNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICELinkStatusType是一个连接状态类型
/////////////////////////////////////////////////////////////////////////
///已经连接
#define ICE_LS_Connected '1'
///没有连接
#define ICE_LS_Disconnected '2'

typedef char ICELinkStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECommApiPointerType是一个通讯API指针类型
/////////////////////////////////////////////////////////////////////////
typedef int ICECommApiPointerType;

/////////////////////////////////////////////////////////////////////////
///ICEPwdFlagType是一个密码核对标志类型
/////////////////////////////////////////////////////////////////////////
///不核对
#define ICE_BPWDF_NoCheck '0'
///明文核对
#define ICE_BPWDF_BlankCheck '1'
///密文核对
#define ICE_BPWDF_EncryptCheck '2'

typedef char ICEPwdFlagType;

/////////////////////////////////////////////////////////////////////////
///ICESecuAccTypeType是一个期货帐号类型类型
/////////////////////////////////////////////////////////////////////////
///资金帐号
#define ICE_SAT_AccountID '1'
///资金卡号
#define ICE_SAT_CardID '2'
///上海股东帐号
#define ICE_SAT_SHStockholderID '3'
///深圳股东帐号
#define ICE_SAT_SZStockholderID '4'

typedef char ICESecuAccTypeType;

/////////////////////////////////////////////////////////////////////////
///ICETransferStatusType是一个转账交易状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_TRFS_Normal '0'
///被冲正
#define ICE_TRFS_Repealed '1'

typedef char ICETransferStatusType;

/////////////////////////////////////////////////////////////////////////
///ICESponsorTypeType是一个发起方类型
/////////////////////////////////////////////////////////////////////////
///期商
#define ICE_SPTYPE_Broker '0'
///银行
#define ICE_SPTYPE_Bank '1'

typedef char ICESponsorTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEReqRspTypeType是一个请求响应类别类型
/////////////////////////////////////////////////////////////////////////
///请求
#define ICE_REQRSP_Request '0'
///响应
#define ICE_REQRSP_Response '1'

typedef char ICEReqRspTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTUserEventTypeType是一个银期转帐用户事件类型类型
/////////////////////////////////////////////////////////////////////////
///签到
#define ICE_FBTUET_SignIn '0'
///银行转期货
#define ICE_FBTUET_FromBankToFuture '1'
///期货转银行
#define ICE_FBTUET_FromFutureToBank '2'
///开户
#define ICE_FBTUET_OpenAccount '3'
///销户
#define ICE_FBTUET_CancelAccount '4'
///变更银行账户
#define ICE_FBTUET_ChangeAccount '5'
///冲正银行转期货
#define ICE_FBTUET_RepealFromBankToFuture '6'
///冲正期货转银行
#define ICE_FBTUET_RepealFromFutureToBank '7'
///查询银行账户
#define ICE_FBTUET_QueryBankAccount '8'
///查询期货账户
#define ICE_FBTUET_QueryFutureAccount '9'
///签退
#define ICE_FBTUET_SignOut 'A'
///密钥同步
#define ICE_FBTUET_SyncKey 'B'
///其他
#define ICE_FBTUET_Other 'Z'

typedef char ICEFBTUserEventTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBankIDByBankType是一个银行自己的编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankIDByBankType[21];

/////////////////////////////////////////////////////////////////////////
///ICEBankOperNoType是一个银行操作员号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankOperNoType[4];

/////////////////////////////////////////////////////////////////////////
///ICEBankCustNoType是一个银行客户号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankCustNoType[21];

/////////////////////////////////////////////////////////////////////////
///ICEDBOPSeqNoType是一个递增的序列号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEDBOPSeqNoType;

/////////////////////////////////////////////////////////////////////////
///ICETableNameType是一个FBT表名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETableNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEPKNameType是一个FBT表操作主键名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPKNameType[201];

/////////////////////////////////////////////////////////////////////////
///ICEPKValueType是一个FBT表操作主键值类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPKValueType[501];

/////////////////////////////////////////////////////////////////////////
///ICEDBOperationType是一个记录操作类型类型
/////////////////////////////////////////////////////////////////////////
///插入
#define ICE_DBOP_Insert '0'
///更新
#define ICE_DBOP_Update '1'
///删除
#define ICE_DBOP_Delete '2'

typedef char ICEDBOperationType;

/////////////////////////////////////////////////////////////////////////
///ICESyncFlagType是一个同步标记类型
/////////////////////////////////////////////////////////////////////////
///已同步
#define ICE_SYNF_Yes '0'
///未同步
#define ICE_SYNF_No '1'

typedef char ICESyncFlagType;

/////////////////////////////////////////////////////////////////////////
///ICETargetIDType是一个同步目标编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETargetIDType[4];

/////////////////////////////////////////////////////////////////////////
///ICESyncTypeType是一个同步类型类型
/////////////////////////////////////////////////////////////////////////
///一次同步
#define ICE_SYNT_OneOffSync '0'
///定时同步
#define ICE_SYNT_TimerSync '1'
///定时完全同步
#define ICE_SYNT_TimerFullSync '2'

typedef char ICESyncTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBETimeType是一个各种换汇时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBETimeType[7];

/////////////////////////////////////////////////////////////////////////
///ICEFBEBankNoType是一个换汇银行行号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBankNoType[13];

/////////////////////////////////////////////////////////////////////////
///ICEFBECertNoType是一个换汇凭证号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBECertNoType[13];

/////////////////////////////////////////////////////////////////////////
///ICEExDirectionType是一个换汇方向类型
/////////////////////////////////////////////////////////////////////////
///结汇
#define ICE_FBEDIR_Settlement '0'
///售汇
#define ICE_FBEDIR_Sale '1'

typedef char ICEExDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEBankAccountType是一个换汇银行账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBankAccountType[33];

/////////////////////////////////////////////////////////////////////////
///ICEFBEBankAccountNameType是一个换汇银行账户名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBankAccountNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEFBEAmtType是一个各种换汇金额类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEFBEAmtType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEBusinessTypeType是一个换汇业务类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBusinessTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEFBEPostScriptType是一个换汇附言类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEPostScriptType[61];

/////////////////////////////////////////////////////////////////////////
///ICEFBERemarkType是一个换汇备注类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBERemarkType[71];

/////////////////////////////////////////////////////////////////////////
///ICEExRateType是一个换汇汇率类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEExRateType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEResultFlagType是一个换汇成功标志类型
/////////////////////////////////////////////////////////////////////////
///成功
#define ICE_FBERES_Success '0'
///账户余额不足
#define ICE_FBERES_InsufficientBalance '1'
///交易结果未知
#define ICE_FBERES_UnknownTrading '8'
///失败
#define ICE_FBERES_Fail 'x'

typedef char ICEFBEResultFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEFBERtnMsgType是一个换汇返回信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBERtnMsgType[61];

/////////////////////////////////////////////////////////////////////////
///ICEFBEExtendMsgType是一个换汇扩展信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEExtendMsgType[61];

/////////////////////////////////////////////////////////////////////////
///ICEFBEBusinessSerialType是一个换汇记账流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBusinessSerialType[31];

/////////////////////////////////////////////////////////////////////////
///ICEFBESystemSerialType是一个换汇流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBESystemSerialType[21];

/////////////////////////////////////////////////////////////////////////
///ICEFBETotalExCntType是一个换汇交易总笔数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEFBETotalExCntType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEExchStatusType是一个换汇交易状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_FBEES_Normal '0'
///交易重发
#define ICE_FBEES_ReExchange '1'

typedef char ICEFBEExchStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEFileFlagType是一个换汇文件标志类型
/////////////////////////////////////////////////////////////////////////
///数据包
#define ICE_FBEFG_DataPackage '0'
///文件
#define ICE_FBEFG_File '1'

typedef char ICEFBEFileFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEAlreadyTradeType是一个换汇已交易标志类型
/////////////////////////////////////////////////////////////////////////
///未交易
#define ICE_FBEAT_NotTrade '0'
///已交易
#define ICE_FBEAT_Trade '1'

typedef char ICEFBEAlreadyTradeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEOpenBankType是一个换汇账户开户行类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEOpenBankType[61];

/////////////////////////////////////////////////////////////////////////
///ICEFBEUserEventTypeType是一个银期换汇用户事件类型类型
/////////////////////////////////////////////////////////////////////////
///签到
#define ICE_FBEUET_SignIn '0'
///换汇
#define ICE_FBEUET_Exchange '1'
///换汇重发
#define ICE_FBEUET_ReExchange '2'
///银行账户查询
#define ICE_FBEUET_QueryBankAccount '3'
///换汇明细查询
#define ICE_FBEUET_QueryExchDetial '4'
///换汇汇总查询
#define ICE_FBEUET_QueryExchSummary '5'
///换汇汇率查询
#define ICE_FBEUET_QueryExchRate '6'
///对账文件通知
#define ICE_FBEUET_CheckBankAccount '7'
///签退
#define ICE_FBEUET_SignOut '8'
///其他
#define ICE_FBEUET_Other 'Z'

typedef char ICEFBEUserEventTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFBEFileNameType是一个换汇相关文件名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEFileNameType[21];

/////////////////////////////////////////////////////////////////////////
///ICEFBEBatchSerialType是一个换汇批次号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFBEBatchSerialType[21];

/////////////////////////////////////////////////////////////////////////
///ICEFBEReqFlagType是一个换汇发送标志类型
/////////////////////////////////////////////////////////////////////////
///未处理
#define ICE_FBERF_UnProcessed '0'
///等待发送
#define ICE_FBERF_WaitSend '1'
///发送成功
#define ICE_FBERF_SendSuccess '2'
///发送失败
#define ICE_FBERF_SendFailed '3'
///等待重发
#define ICE_FBERF_WaitReSend '4'

typedef char ICEFBEReqFlagType;

/////////////////////////////////////////////////////////////////////////
///ICENotifyClassType是一个风险通知类型类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_NC_NOERROR '0'
///警示
#define ICE_NC_Warn '1'
///追保
#define ICE_NC_Call '2'
///强平
#define ICE_NC_Force '3'
///穿仓
#define ICE_NC_CHUANCANG '4'
///异常
#define ICE_NC_Exception '5'

typedef char ICENotifyClassType;

/////////////////////////////////////////////////////////////////////////
///ICERiskNofityInfoType是一个客户风险通知消息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERiskNofityInfoType[257];

/////////////////////////////////////////////////////////////////////////
///ICEForceCloseSceneIdType是一个强平场景编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEForceCloseSceneIdType[24];

/////////////////////////////////////////////////////////////////////////
///ICEForceCloseTypeType是一个强平单类型类型
/////////////////////////////////////////////////////////////////////////
///手工强平
#define ICE_FCT_Manual '0'
///单一投资者辅助强平
#define ICE_FCT_Single '1'
///批量投资者辅助强平
#define ICE_FCT_Group '2'

typedef char ICEForceCloseTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEInstrumentIDsType是一个多个产品代码,用+分隔,如cu+zn类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInstrumentIDsType[101];

/////////////////////////////////////////////////////////////////////////
///ICERiskNotifyMethodType是一个风险通知途径类型
/////////////////////////////////////////////////////////////////////////
///系统通知
#define ICE_RNM_System '0'
///短信通知
#define ICE_RNM_SMS '1'
///邮件通知
#define ICE_RNM_EMail '2'
///人工通知
#define ICE_RNM_Manual '3'

typedef char ICERiskNotifyMethodType;

/////////////////////////////////////////////////////////////////////////
///ICERiskNotifyStatusType是一个风险通知状态类型
/////////////////////////////////////////////////////////////////////////
///未生成
#define ICE_RNS_NotGen '0'
///已生成未发送
#define ICE_RNS_Generated '1'
///发送失败
#define ICE_RNS_SendError '2'
///已发送未接收
#define ICE_RNS_SendOk '3'
///已接收未确认
#define ICE_RNS_Received '4'
///已确认
#define ICE_RNS_Confirmed '5'

typedef char ICERiskNotifyStatusType;

/////////////////////////////////////////////////////////////////////////
///ICERiskUserEventType是一个风控用户操作事件类型
/////////////////////////////////////////////////////////////////////////
///导出数据
#define ICE_RUE_ExportData '0'

typedef char ICERiskUserEventType;

/////////////////////////////////////////////////////////////////////////
///ICEParamIDType是一个参数代码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICEParamNameType是一个参数名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEParamNameType[41];

/////////////////////////////////////////////////////////////////////////
///ICEParamValueType是一个参数值类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEParamValueType[41];

/////////////////////////////////////////////////////////////////////////
///ICEConditionalOrderSortTypeType是一个条件单索引条件类型
/////////////////////////////////////////////////////////////////////////
///使用最新价升序
#define ICE_COST_LastPriceAsc '0'
///使用最新价降序
#define ICE_COST_LastPriceDesc '1'
///使用卖价升序
#define ICE_COST_AskPriceAsc '2'
///使用卖价降序
#define ICE_COST_AskPriceDesc '3'
///使用买价升序
#define ICE_COST_BidPriceAsc '4'
///使用买价降序
#define ICE_COST_BidPriceDesc '5'

typedef char ICEConditionalOrderSortTypeType;

/////////////////////////////////////////////////////////////////////////
///ICESendTypeType是一个报送状态类型
/////////////////////////////////////////////////////////////////////////
///未发送
#define ICE_UOAST_NoSend '0'
///已发送
#define ICE_UOAST_Sended '1'
///已生成
#define ICE_UOAST_Generated '2'
///报送失败
#define ICE_UOAST_SendFail '3'
///接收成功
#define ICE_UOAST_Success '4'
///接收失败
#define ICE_UOAST_Fail '5'
///取消报送
#define ICE_UOAST_Cancel '6'

typedef char ICESendTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEClientIDStatusType是一个交易编码状态类型
/////////////////////////////////////////////////////////////////////////
///未申请
#define ICE_UOACS_NoApply '1'
///已提交申请
#define ICE_UOACS_Submited '2'
///已发送申请
#define ICE_UOACS_Sended '3'
///完成
#define ICE_UOACS_Success '4'
///拒绝
#define ICE_UOACS_Refuse '5'
///已撤销编码
#define ICE_UOACS_Cancel '6'

typedef char ICEClientIDStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEIndustryIDType是一个行业编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIndustryIDType[17];

/////////////////////////////////////////////////////////////////////////
///ICEQuestionIDType是一个特有信息编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEQuestionIDType[5];

/////////////////////////////////////////////////////////////////////////
///ICEQuestionContentType是一个特有信息说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEQuestionContentType[41];

/////////////////////////////////////////////////////////////////////////
///ICEOptionIDType是一个选项编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOptionIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEOptionContentType是一个选项说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOptionContentType[61];

/////////////////////////////////////////////////////////////////////////
///ICEQuestionTypeType是一个特有信息类型类型
/////////////////////////////////////////////////////////////////////////
///单选
#define ICE_QT_Radio '1'
///多选
#define ICE_QT_Option '2'
///填空
#define ICE_QT_Blank '3'

typedef char ICEQuestionTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEProcessIDType是一个业务流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProcessIDType[33];

/////////////////////////////////////////////////////////////////////////
///ICESeqNoType是一个流水号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESeqNoType;

/////////////////////////////////////////////////////////////////////////
///ICEUOAProcessStatusType是一个流程状态类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOAProcessStatusType[3];

/////////////////////////////////////////////////////////////////////////
///ICEProcessTypeType是一个流程功能类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEProcessTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEBusinessTypeType是一个业务类型类型
/////////////////////////////////////////////////////////////////////////
///请求
#define ICE_BT_Request '1'
///应答
#define ICE_BT_Response '2'
///通知
#define ICE_BT_Notice '3'

typedef char ICEBusinessTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECfmmcReturnCodeType是一个监控中心返回码类型
/////////////////////////////////////////////////////////////////////////
///成功
#define ICE_CRC_Success '0'
///该客户已经有流程在处理中
#define ICE_CRC_Working '1'
///监控中客户资料检查失败
#define ICE_CRC_InfoFail '2'
///监控中实名制检查失败
#define ICE_CRC_IDCardFail '3'
///其他错误
#define ICE_CRC_OtherFail '4'

typedef char ICECfmmcReturnCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEExReturnCodeType是一个交易所返回码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEExReturnCodeType;

/////////////////////////////////////////////////////////////////////////
///ICEClientTypeType是一个客户类型类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_CfMMCCT_All '0'
///个人
#define ICE_CfMMCCT_Person '1'
///单位
#define ICE_CfMMCCT_Company '2'
///其他
#define ICE_CfMMCCT_Other '3'
///特殊法人
#define ICE_CfMMCCT_SpecialOrgan '4'
///资管户
#define ICE_CfMMCCT_Asset '5'

typedef char ICEClientTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEExchangeIDTypeType是一个交易所编号类型
/////////////////////////////////////////////////////////////////////////
///上海期货交易所
#define ICE_EIDT_SHFE 'S'
///郑州商品交易所
#define ICE_EIDT_CZCE 'Z'
///大连商品交易所
#define ICE_EIDT_DCE 'D'
///中国金融期货交易所
#define ICE_EIDT_CFFEX 'J'
///上海国际能源交易中心股份有限公司
#define ICE_EIDT_INE 'N'
///上海证券交易所
#define ICE_EIDT_SSE 'A'
///深圳证券交易所
#define ICE_EIDT_SZSE 'E'

typedef char ICEExchangeIDTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEExClientIDTypeType是一个交易编码类型类型
/////////////////////////////////////////////////////////////////////////
///套保
#define ICE_ECIDT_Hedge '1'
///套利
#define ICE_ECIDT_Arbitrage '2'
///投机
#define ICE_ECIDT_Speculation '3'

typedef char ICEExClientIDTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEClientClassifyType是一个客户分类码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClientClassifyType[11];

/////////////////////////////////////////////////////////////////////////
///ICEUOAOrganTypeType是一个单位性质类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOAOrganTypeType[11];

/////////////////////////////////////////////////////////////////////////
///ICEUOACountryCodeType是一个国家代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOACountryCodeType[11];

/////////////////////////////////////////////////////////////////////////
///ICEAreaCodeType是一个区号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAreaCodeType[11];

/////////////////////////////////////////////////////////////////////////
///ICEFuturesIDType是一个监控中心为客户分配的代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFuturesIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICECffmcDateType是一个日期类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECffmcDateType[11];

/////////////////////////////////////////////////////////////////////////
///ICECffmcTimeType是一个时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECffmcTimeType[11];

/////////////////////////////////////////////////////////////////////////
///ICENocIDType是一个组织机构代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICENocIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEUpdateFlagType是一个更新状态类型
/////////////////////////////////////////////////////////////////////////
///未更新
#define ICE_UF_NoUpdate '0'
///更新全部信息成功
#define ICE_UF_Success '1'
///更新全部信息失败
#define ICE_UF_Fail '2'
///更新交易编码成功
#define ICE_UF_TCSuccess '3'
///更新交易编码失败
#define ICE_UF_TCFail '4'
///已丢弃
#define ICE_UF_Cancel '5'

typedef char ICEUpdateFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEApplyOperateIDType是一个申请动作类型
/////////////////////////////////////////////////////////////////////////
///开户
#define ICE_AOID_OpenInvestor '1'
///修改身份信息
#define ICE_AOID_ModifyIDCard '2'
///修改一般信息
#define ICE_AOID_ModifyNoIDCard '3'
///申请交易编码
#define ICE_AOID_ApplyTradingCode '4'
///撤销交易编码
#define ICE_AOID_CancelTradingCode '5'
///销户
#define ICE_AOID_CancelInvestor '6'
///账户休眠
#define ICE_AOID_FreezeAccount '8'
///激活休眠账户
#define ICE_AOID_ActiveFreezeAccount '9'

typedef char ICEApplyOperateIDType;

/////////////////////////////////////////////////////////////////////////
///ICEApplyStatusIDType是一个申请状态类型
/////////////////////////////////////////////////////////////////////////
///未补全
#define ICE_ASID_NoComplete '1'
///已提交
#define ICE_ASID_Submited '2'
///已审核
#define ICE_ASID_Checked '3'
///已拒绝
#define ICE_ASID_Refused '4'
///已删除
#define ICE_ASID_Deleted '5'

typedef char ICEApplyStatusIDType;

/////////////////////////////////////////////////////////////////////////
///ICESendMethodType是一个发送方式类型
/////////////////////////////////////////////////////////////////////////
///文件发送
#define ICE_UOASM_ByAPI '1'
///电子发送
#define ICE_UOASM_ByFile '2'

typedef char ICESendMethodType;

/////////////////////////////////////////////////////////////////////////
///ICEEventTypeType是一个业务操作类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEEventTypeType[33];

/////////////////////////////////////////////////////////////////////////
///ICEEventModeType是一个操作方法类型
/////////////////////////////////////////////////////////////////////////
///增加
#define ICE_EvM_ADD '1'
///修改
#define ICE_EvM_UPDATE '2'
///删除
#define ICE_EvM_DELETE '3'
///复核
#define ICE_EvM_CHECK '4'
///复制
#define ICE_EvM_COPY '5'
///注销
#define ICE_EvM_CANCEL '6'
///冲销
#define ICE_EvM_Reverse '7'

typedef char ICEEventModeType;

/////////////////////////////////////////////////////////////////////////
///ICEUOAAutoSendType是一个统一开户申请自动发送类型
/////////////////////////////////////////////////////////////////////////
///自动发送并接收
#define ICE_UOAA_ASR '1'
///自动发送，不自动接收
#define ICE_UOAA_ASNR '2'
///不自动发送，自动接收
#define ICE_UOAA_NSAR '3'
///不自动发送，也不自动接收
#define ICE_UOAA_NSR '4'

typedef char ICEUOAAutoSendType;

/////////////////////////////////////////////////////////////////////////
///ICEQueryDepthType是一个查询深度类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEQueryDepthType;

/////////////////////////////////////////////////////////////////////////
///ICEDataCenterIDType是一个数据中心代码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEDataCenterIDType;

/////////////////////////////////////////////////////////////////////////
///ICEFlowIDType是一个流程ID类型
/////////////////////////////////////////////////////////////////////////
///投资者对应投资者组设置
#define ICE_EvM_InvestorGroupFlow '1'
///投资者手续费率设置
#define ICE_EvM_InvestorRate '2'
///投资者手续费率模板关系设置
#define ICE_EvM_InvestorCommRateModel '3'

typedef char ICEFlowIDType;

/////////////////////////////////////////////////////////////////////////
///ICECheckLevelType是一个复核级别类型
/////////////////////////////////////////////////////////////////////////
///零级复核
#define ICE_CL_Zero '0'
///一级复核
#define ICE_CL_One '1'
///二级复核
#define ICE_CL_Two '2'

typedef char ICECheckLevelType;

/////////////////////////////////////////////////////////////////////////
///ICECheckNoType是一个操作次数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICECheckNoType;

/////////////////////////////////////////////////////////////////////////
///ICECheckStatusType是一个复核级别类型
/////////////////////////////////////////////////////////////////////////
///未复核
#define ICE_CHS_Init '0'
///复核中
#define ICE_CHS_Checking '1'
///已复核
#define ICE_CHS_Checked '2'
///拒绝
#define ICE_CHS_Refuse '3'
///作废
#define ICE_CHS_Cancel '4'

typedef char ICECheckStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEUsedStatusType是一个生效状态类型
/////////////////////////////////////////////////////////////////////////
///未生效
#define ICE_CHU_Unused '0'
///已生效
#define ICE_CHU_Used '1'
///生效失败
#define ICE_CHU_Fail '2'

typedef char ICEUsedStatusType;

/////////////////////////////////////////////////////////////////////////
///ICERateTemplateNameType是一个模型名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERateTemplateNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEPropertyStringType是一个用于查询的投资属性字段类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPropertyStringType[2049];

/////////////////////////////////////////////////////////////////////////
///ICEBankAcountOriginType是一个账户来源类型
/////////////////////////////////////////////////////////////////////////
///手工录入
#define ICE_BAO_ByAccProperty '0'
///银期转账
#define ICE_BAO_ByFBTransfer '1'

typedef char ICEBankAcountOriginType;

/////////////////////////////////////////////////////////////////////////
///ICEMonthBillTradeSumType是一个结算单月报成交汇总方式类型
/////////////////////////////////////////////////////////////////////////
///同日同合约
#define ICE_MBTS_ByInstrument '0'
///同日同合约同价格
#define ICE_MBTS_ByDayInsPrc '1'
///同合约
#define ICE_MBTS_ByDayIns '2'

typedef char ICEMonthBillTradeSumType;

/////////////////////////////////////////////////////////////////////////
///ICEFBTTradeCodeEnumType是一个银期交易代码枚举类型
/////////////////////////////////////////////////////////////////////////
///银行发起银行转期货
#define ICE_FTC_BankLaunchBankToBroker '102001'
///期货发起银行转期货
#define ICE_FTC_BrokerLaunchBankToBroker '202001'
///银行发起期货转银行
#define ICE_FTC_BankLaunchBrokerToBank '102002'
///期货发起期货转银行
#define ICE_FTC_BrokerLaunchBrokerToBank '202002'

typedef char ICEFBTTradeCodeEnumType;

/////////////////////////////////////////////////////////////////////////
///ICERateTemplateIDType是一个模型代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERateTemplateIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICERiskRateType是一个风险度类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERiskRateType[21];

/////////////////////////////////////////////////////////////////////////
///ICETimestampType是一个时间戳类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETimestampType;

/////////////////////////////////////////////////////////////////////////
///ICEInvestorIDRuleNameType是一个号段规则名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestorIDRuleNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorIDRuleExprType是一个号段规则表达式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestorIDRuleExprType[513];

/////////////////////////////////////////////////////////////////////////
///ICELastDriftType是一个上次OTP漂移值类型
/////////////////////////////////////////////////////////////////////////
typedef int ICELastDriftType;

/////////////////////////////////////////////////////////////////////////
///ICELastSuccessType是一个上次OTP成功值类型
/////////////////////////////////////////////////////////////////////////
typedef int ICELastSuccessType;

/////////////////////////////////////////////////////////////////////////
///ICEAuthKeyType是一个令牌密钥类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAuthKeyType[41];

/////////////////////////////////////////////////////////////////////////
///ICESerialNumberType是一个序列号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESerialNumberType[17];

/////////////////////////////////////////////////////////////////////////
///ICEOTPTypeType是一个动态令牌类型类型
/////////////////////////////////////////////////////////////////////////
///无动态令牌
#define ICE_OTP_NONE '0'
///时间令牌
#define ICE_OTP_TOTP '1'

typedef char ICEOTPTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOTPVendorsIDType是一个动态令牌提供商类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOTPVendorsIDType[2];

/////////////////////////////////////////////////////////////////////////
///ICEOTPVendorsNameType是一个动态令牌提供商名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOTPVendorsNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEOTPStatusType是一个动态令牌状态类型
/////////////////////////////////////////////////////////////////////////
///未使用
#define ICE_OTPS_Unused '0'
///已使用
#define ICE_OTPS_Used '1'
///注销
#define ICE_OTPS_Disuse '2'

typedef char ICEOTPStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEBrokerUserTypeType是一个经济公司用户类型类型
/////////////////////////////////////////////////////////////////////////
///投资者
#define ICE_BUT_Investor '1'
///操作员
#define ICE_BUT_BrokerUser '2'

typedef char ICEBrokerUserTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFutureTypeType是一个期货类型类型
/////////////////////////////////////////////////////////////////////////
///商品期货
#define ICE_FUTT_Commodity '1'
///金融期货
#define ICE_FUTT_Financial '2'

typedef char ICEFutureTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFundEventTypeType是一个资金管理操作类型类型
/////////////////////////////////////////////////////////////////////////
///转账限额
#define ICE_FET_Restriction '0'
///当日转账限额
#define ICE_FET_TodayRestriction '1'
///期商流水
#define ICE_FET_Transfer '2'
///资金冻结
#define ICE_FET_Credit '3'
///投资者可提资金比例
#define ICE_FET_InvestorWithdrawAlm '4'
///单个银行帐户转账限额
#define ICE_FET_BankRestriction '5'
///银期签约账户
#define ICE_FET_Accountregister '6'
///交易所出入金
#define ICE_FET_ExchangeFundIO '7'
///投资者出入金
#define ICE_FET_InvestorFundIO '8'

typedef char ICEFundEventTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAccountSourceTypeType是一个资金账户来源类型
/////////////////////////////////////////////////////////////////////////
///银期同步
#define ICE_AST_FBTransfer '0'
///手工录入
#define ICE_AST_ManualEntry '1'

typedef char ICEAccountSourceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECodeSourceTypeType是一个交易编码来源类型
/////////////////////////////////////////////////////////////////////////
///统一开户(已规范)
#define ICE_CST_UnifyAccount '0'
///手工录入(未规范)
#define ICE_CST_ManualEntry '1'

typedef char ICECodeSourceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEUserRangeType是一个操作员范围类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_UR_All '0'
///单一操作员
#define ICE_UR_Single '1'

typedef char ICEUserRangeType;

/////////////////////////////////////////////////////////////////////////
///ICETimeSpanType是一个时间跨度类型
/////////////////////////////////////////////////////////////////////////
typedef char ICETimeSpanType[9];

/////////////////////////////////////////////////////////////////////////
///ICEImportSequenceIDType是一个动态令牌导入批次编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEImportSequenceIDType[17];

/////////////////////////////////////////////////////////////////////////
///ICEByGroupType是一个交易统计表按客户统计方式类型
/////////////////////////////////////////////////////////////////////////
///按投资者统计
#define ICE_BG_Investor '2'
///按类统计
#define ICE_BG_Group '1'

typedef char ICEByGroupType;

/////////////////////////////////////////////////////////////////////////
///ICETradeSumStatModeType是一个交易统计表按范围统计方式类型
/////////////////////////////////////////////////////////////////////////
///按合约统计
#define ICE_TSSM_Instrument '1'
///按产品统计
#define ICE_TSSM_Product '2'
///按交易所统计
#define ICE_TSSM_Exchange '3'

typedef char ICETradeSumStatModeType;

/////////////////////////////////////////////////////////////////////////
///ICEComTypeType是一个组合成交类型类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEComTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEUserProductIDType是一个产品标识类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserProductIDType[33];

/////////////////////////////////////////////////////////////////////////
///ICEUserProductNameType是一个产品名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserProductNameType[65];

/////////////////////////////////////////////////////////////////////////
///ICEUserProductMemoType是一个产品说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUserProductMemoType[129];

/////////////////////////////////////////////////////////////////////////
///ICECSRCCancelFlagType是一个新增或变更标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCCancelFlagType[2];

/////////////////////////////////////////////////////////////////////////
///ICECSRCDateType是一个日期类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCDateType[11];

/////////////////////////////////////////////////////////////////////////
///ICECSRCInvestorNameType是一个客户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCInvestorNameType[201];

/////////////////////////////////////////////////////////////////////////
///ICECSRCOpenInvestorNameType是一个客户名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCOpenInvestorNameType[101];

/////////////////////////////////////////////////////////////////////////
///ICECSRCInvestorIDType是一个客户代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCInvestorIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICECSRCIdentifiedCardNoType是一个证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCIdentifiedCardNoType[51];

/////////////////////////////////////////////////////////////////////////
///ICECSRCClientIDType是一个交易编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCClientIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICECSRCBankFlagType是一个银行标识类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCBankFlagType[3];

/////////////////////////////////////////////////////////////////////////
///ICECSRCBankAccountType是一个银行账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCBankAccountType[23];

/////////////////////////////////////////////////////////////////////////
///ICECSRCOpenNameType是一个开户人类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCOpenNameType[401];

/////////////////////////////////////////////////////////////////////////
///ICECSRCMemoType是一个说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCMemoType[101];

/////////////////////////////////////////////////////////////////////////
///ICECSRCTimeType是一个时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCTimeType[11];

/////////////////////////////////////////////////////////////////////////
///ICECSRCTradeIDType是一个成交流水号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCTradeIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICECSRCExchangeInstIDType是一个合约代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCExchangeInstIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICECSRCMortgageNameType是一个质押品名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCMortgageNameType[7];

/////////////////////////////////////////////////////////////////////////
///ICECSRCReasonType是一个事由类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCReasonType[3];

/////////////////////////////////////////////////////////////////////////
///ICEIsSettlementType是一个是否为非结算会员类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEIsSettlementType[2];

/////////////////////////////////////////////////////////////////////////
///ICECSRCMoneyType是一个资金类型
/////////////////////////////////////////////////////////////////////////
typedef double ICECSRCMoneyType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCPriceType是一个价格类型
/////////////////////////////////////////////////////////////////////////
typedef double ICECSRCPriceType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCOptionsTypeType是一个期权类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCOptionsTypeType[2];

/////////////////////////////////////////////////////////////////////////
///ICECSRCStrikePriceType是一个执行价类型
/////////////////////////////////////////////////////////////////////////
typedef double ICECSRCStrikePriceType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCTargetProductIDType是一个标的品种类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCTargetProductIDType[3];

/////////////////////////////////////////////////////////////////////////
///ICECSRCTargetInstrIDType是一个标的合约类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCTargetInstrIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICECommModelNameType是一个手续费率模板名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECommModelNameType[161];

/////////////////////////////////////////////////////////////////////////
///ICECommModelMemoType是一个手续费率模板备注类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECommModelMemoType[1025];

/////////////////////////////////////////////////////////////////////////
///ICEExprSetModeType是一个日期表达式设置类型类型
/////////////////////////////////////////////////////////////////////////
///相对已有规则设置
#define ICE_ESM_Relative '1'
///典型设置
#define ICE_ESM_Typical '2'

typedef char ICEExprSetModeType;

/////////////////////////////////////////////////////////////////////////
///ICERateInvestorRangeType是一个投资者范围类型
/////////////////////////////////////////////////////////////////////////
///公司标准
#define ICE_RIR_All '1'
///模板
#define ICE_RIR_Model '2'
///单一投资者
#define ICE_RIR_Single '3'

typedef char ICERateInvestorRangeType;

/////////////////////////////////////////////////////////////////////////
///ICEAgentBrokerIDType是一个代理经纪公司代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAgentBrokerIDType[13];

/////////////////////////////////////////////////////////////////////////
///ICEDRIdentityIDType是一个交易中心代码类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEDRIdentityIDType;

/////////////////////////////////////////////////////////////////////////
///ICEDRIdentityNameType是一个交易中心名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDRIdentityNameType[65];

/////////////////////////////////////////////////////////////////////////
///ICEDBLinkIDType是一个DBLink标识号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDBLinkIDType[31];

/////////////////////////////////////////////////////////////////////////
///ICESyncDataStatusType是一个主次用系统数据同步状态类型
/////////////////////////////////////////////////////////////////////////
///未同步
#define ICE_SDS_Initialize '0'
///同步中
#define ICE_SDS_Settlementing '1'
///已同步
#define ICE_SDS_Settlemented '2'

typedef char ICESyncDataStatusType;

/////////////////////////////////////////////////////////////////////////
///ICETradeSourceType是一个成交来源类型
/////////////////////////////////////////////////////////////////////////
///来自交易所普通回报
#define ICE_TSRC_NORMAL '0'
///来自查询
#define ICE_TSRC_QUERY '1'

typedef char ICETradeSourceType;

/////////////////////////////////////////////////////////////////////////
///ICEFlexStatModeType是一个产品合约统计方式类型
/////////////////////////////////////////////////////////////////////////
///产品统计
#define ICE_FSM_Product '1'
///交易所统计
#define ICE_FSM_Exchange '2'
///统计所有
#define ICE_FSM_All '3'

typedef char ICEFlexStatModeType;

/////////////////////////////////////////////////////////////////////////
///ICEByInvestorRangeType是一个投资者范围统计方式类型
/////////////////////////////////////////////////////////////////////////
///属性统计
#define ICE_BIR_Property '1'
///统计所有
#define ICE_BIR_All '2'

typedef char ICEByInvestorRangeType;

/////////////////////////////////////////////////////////////////////////
///ICESRiskRateType是一个风险度类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESRiskRateType[21];

/////////////////////////////////////////////////////////////////////////
///ICESequenceNo12Type是一个序号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICESequenceNo12Type;

/////////////////////////////////////////////////////////////////////////
///ICEPropertyInvestorRangeType是一个投资者范围类型
/////////////////////////////////////////////////////////////////////////
///所有
#define ICE_PIR_All '1'
///投资者属性
#define ICE_PIR_Property '2'
///单一投资者
#define ICE_PIR_Single '3'

typedef char ICEPropertyInvestorRangeType;

/////////////////////////////////////////////////////////////////////////
///ICEFileStatusType是一个文件状态类型
/////////////////////////////////////////////////////////////////////////
///未生成
#define ICE_FIS_NoCreate '0'
///已生成
#define ICE_FIS_Created '1'
///生成失败
#define ICE_FIS_Failed '2'

typedef char ICEFileStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEFileGenStyleType是一个文件生成方式类型
/////////////////////////////////////////////////////////////////////////
///下发
#define ICE_FGS_FileTransmit '0'
///生成
#define ICE_FGS_FileGen '1'

typedef char ICEFileGenStyleType;

/////////////////////////////////////////////////////////////////////////
///ICESysOperModeType是一个系统日志操作方法类型
/////////////////////////////////////////////////////////////////////////
///增加
#define ICE_SoM_Add '1'
///修改
#define ICE_SoM_Update '2'
///删除
#define ICE_SoM_Delete '3'
///复制
#define ICE_SoM_Copy '4'
///激活
#define ICE_SoM_AcTive '5'
///注销
#define ICE_SoM_CanCel '6'
///重置
#define ICE_SoM_ReSet '7'

typedef char ICESysOperModeType;

/////////////////////////////////////////////////////////////////////////
///ICESysOperTypeType是一个系统日志操作类型类型
/////////////////////////////////////////////////////////////////////////
///修改操作员密码
#define ICE_SoT_UpdatePassword '0'
///操作员组织架构关系
#define ICE_SoT_UserDepartment '1'
///角色管理
#define ICE_SoT_RoleManager '2'
///角色功能设置
#define ICE_SoT_RoleFunction '3'
///基础参数设置
#define ICE_SoT_BaseParam '4'
///设置操作员
#define ICE_SoT_SetUserID '5'
///用户角色设置
#define ICE_SoT_SetUserRole '6'
///用户IP限制
#define ICE_SoT_UserIpRestriction '7'
///组织架构管理
#define ICE_SoT_DepartmentManager '8'
///组织架构向查询分类复制
#define ICE_SoT_DepartmentCopy '9'
///交易编码管理
#define ICE_SoT_Tradingcode 'A'
///投资者状态维护
#define ICE_SoT_InvestorStatus 'B'
///投资者权限管理
#define ICE_SoT_InvestorAuthority 'C'
///属性设置
#define ICE_SoT_PropertySet 'D'
///重置投资者密码
#define ICE_SoT_ReSetInvestorPasswd 'E'
///投资者个性信息维护
#define ICE_SoT_InvestorPersonalityInfo 'F'

typedef char ICESysOperTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCDataQueyTypeType是一个上报数据查询类型类型
/////////////////////////////////////////////////////////////////////////
///查询当前交易日报送的数据
#define ICE_CSRCQ_Current '0'
///查询历史报送的代理经纪公司的数据
#define ICE_CSRCQ_History '1'

typedef char ICECSRCDataQueyTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFreezeStatusType是一个休眠状态类型
/////////////////////////////////////////////////////////////////////////
///活跃
#define ICE_FRS_Normal '1'
///休眠
#define ICE_FRS_Freeze '0'

typedef char ICEFreezeStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEStandardStatusType是一个规范状态类型
/////////////////////////////////////////////////////////////////////////
///已规范
#define ICE_STST_Standard '0'
///未规范
#define ICE_STST_NonStandard '1'

typedef char ICEStandardStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCFreezeStatusType是一个休眠状态类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCFreezeStatusType[2];

/////////////////////////////////////////////////////////////////////////
///ICERightParamTypeType是一个配置类型类型
/////////////////////////////////////////////////////////////////////////
///休眠户
#define ICE_RPT_Freeze '1'
///激活休眠户
#define ICE_RPT_FreezeActive '2'
///开仓权限限制
#define ICE_RPT_OpenLimit '3'
///解除开仓权限限制
#define ICE_RPT_RelieveOpenLimit '4'

typedef char ICERightParamTypeType;

/////////////////////////////////////////////////////////////////////////
///ICERightTemplateIDType是一个模板代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERightTemplateIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICERightTemplateNameType是一个模板名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICERightTemplateNameType[61];

/////////////////////////////////////////////////////////////////////////
///ICEDataStatusType是一个反洗钱审核表数据状态类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_AMLDS_Normal '0'
///已删除
#define ICE_AMLDS_Deleted '1'

typedef char ICEDataStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEAMLCheckStatusType是一个审核状态类型
/////////////////////////////////////////////////////////////////////////
///未复核
#define ICE_AMLCHS_Init '0'
///复核中
#define ICE_AMLCHS_Checking '1'
///已复核
#define ICE_AMLCHS_Checked '2'
///拒绝上报
#define ICE_AMLCHS_RefuseReport '3'

typedef char ICEAMLCheckStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEAmlDateTypeType是一个日期类型类型
/////////////////////////////////////////////////////////////////////////
///检查日期
#define ICE_AMLDT_DrawDay '0'
///发生日期
#define ICE_AMLDT_TouchDay '1'

typedef char ICEAmlDateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAmlCheckLevelType是一个审核级别类型
/////////////////////////////////////////////////////////////////////////
///零级审核
#define ICE_AMLCL_CheckLevel0 '0'
///一级审核
#define ICE_AMLCL_CheckLevel1 '1'
///二级审核
#define ICE_AMLCL_CheckLevel2 '2'
///三级审核
#define ICE_AMLCL_CheckLevel3 '3'

typedef char ICEAmlCheckLevelType;

/////////////////////////////////////////////////////////////////////////
///ICEAmlCheckFlowType是一个反洗钱数据抽取审核流程类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAmlCheckFlowType[2];

/////////////////////////////////////////////////////////////////////////
///ICEDataTypeType是一个数据类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEDataTypeType[129];

/////////////////////////////////////////////////////////////////////////
///ICEExportFileTypeType是一个导出文件类型类型
/////////////////////////////////////////////////////////////////////////
///CSV
#define ICE_EFT_CSV '0'
///Excel
#define ICE_EFT_EXCEL '1'
///DBF
#define ICE_EFT_DBF '2'

typedef char ICEExportFileTypeType;

/////////////////////////////////////////////////////////////////////////
///ICESettleManagerTypeType是一个结算配置类型类型
/////////////////////////////////////////////////////////////////////////
///结算前准备
#define ICE_SMT_Before '1'
///结算
#define ICE_SMT_Settlement '2'
///结算后核对
#define ICE_SMT_After '3'
///结算后处理
#define ICE_SMT_Settlemented '4'

typedef char ICESettleManagerTypeType;

/////////////////////////////////////////////////////////////////////////
///ICESettleManagerIDType是一个结算配置代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESettleManagerIDType[33];

/////////////////////////////////////////////////////////////////////////
///ICESettleManagerNameType是一个结算配置名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESettleManagerNameType[129];

/////////////////////////////////////////////////////////////////////////
///ICESettleManagerLevelType是一个结算配置等级类型
/////////////////////////////////////////////////////////////////////////
///必要
#define ICE_SML_Must '1'
///警告
#define ICE_SML_Alarm '2'
///提示
#define ICE_SML_Prompt '3'
///不检查
#define ICE_SML_Ignore '4'

typedef char ICESettleManagerLevelType;

/////////////////////////////////////////////////////////////////////////
///ICESettleManagerGroupType是一个模块分组类型
/////////////////////////////////////////////////////////////////////////
///交易所核对
#define ICE_SMG_Exhcange '1'
///内部核对
#define ICE_SMG_ASP '2'
///上报数据核对
#define ICE_SMG_CSRC '3'

typedef char ICESettleManagerGroupType;

/////////////////////////////////////////////////////////////////////////
///ICECheckResultMemoType是一个核对结果说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECheckResultMemoType[1025];

/////////////////////////////////////////////////////////////////////////
///ICEFunctionUrlType是一个功能链接类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEFunctionUrlType[1025];

/////////////////////////////////////////////////////////////////////////
///ICEAuthInfoType是一个客户端认证信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAuthInfoType[129];

/////////////////////////////////////////////////////////////////////////
///ICEAuthCodeType是一个客户端认证码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAuthCodeType[17];

/////////////////////////////////////////////////////////////////////////
///ICELimitUseTypeType是一个保值额度使用类型类型
/////////////////////////////////////////////////////////////////////////
///可重复使用
#define ICE_LUT_Repeatable '1'
///不可重复使用
#define ICE_LUT_Unrepeatable '2'

typedef char ICELimitUseTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEDataResourceType是一个数据来源类型
/////////////////////////////////////////////////////////////////////////
///本系统
#define ICE_DAR_Settle '1'
///交易所
#define ICE_DAR_Exchange '2'
///报送数据
#define ICE_DAR_CSRC '3'

typedef char ICEDataResourceType;

/////////////////////////////////////////////////////////////////////////
///ICEMarginTypeType是一个保证金类型类型
/////////////////////////////////////////////////////////////////////////
///交易所保证金率
#define ICE_MGT_ExchMarginRate '0'
///投资者保证金率
#define ICE_MGT_InstrMarginRate '1'
///投资者交易保证金率
#define ICE_MGT_InstrMarginRateTrade '2'

typedef char ICEMarginTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEActiveTypeType是一个生效类型类型
/////////////////////////////////////////////////////////////////////////
///仅当日生效
#define ICE_ACT_Intraday '1'
///长期生效
#define ICE_ACT_Long '2'

typedef char ICEActiveTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEMarginRateTypeType是一个冲突保证金率类型类型
/////////////////////////////////////////////////////////////////////////
///交易所保证金率
#define ICE_MRT_Exchange '1'
///投资者保证金率
#define ICE_MRT_Investor '2'
///投资者交易保证金率
#define ICE_MRT_InvestorTrade '3'

typedef char ICEMarginRateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBackUpStatusType是一个备份数据状态类型
/////////////////////////////////////////////////////////////////////////
///未生成备份数据
#define ICE_BUS_UnBak '0'
///备份数据生成中
#define ICE_BUS_BakUp '1'
///已生成备份数据
#define ICE_BUS_BakUped '2'
///备份数据失败
#define ICE_BUS_BakFail '3'

typedef char ICEBackUpStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEInitSettlementType是一个结算初始化状态类型
/////////////////////////////////////////////////////////////////////////
///结算初始化未开始
#define ICE_SIS_UnInitialize '0'
///结算初始化中
#define ICE_SIS_Initialize '1'
///结算初始化完成
#define ICE_SIS_Initialized '2'

typedef char ICEInitSettlementType;

/////////////////////////////////////////////////////////////////////////
///ICEReportStatusType是一个报表数据生成状态类型
/////////////////////////////////////////////////////////////////////////
///未生成报表数据
#define ICE_SRS_NoCreate '0'
///报表数据生成中
#define ICE_SRS_Create '1'
///已生成报表数据
#define ICE_SRS_Created '2'
///生成报表数据失败
#define ICE_SRS_CreateFail '3'

typedef char ICEReportStatusType;

/////////////////////////////////////////////////////////////////////////
///ICESaveStatusType是一个数据归档状态类型
/////////////////////////////////////////////////////////////////////////
///归档未完成
#define ICE_SSS_UnSaveData '0'
///归档完成
#define ICE_SSS_SaveDatad '1'

typedef char ICESaveStatusType;

/////////////////////////////////////////////////////////////////////////
///ICESettArchiveStatusType是一个结算确认数据归档状态类型
/////////////////////////////////////////////////////////////////////////
///未归档数据
#define ICE_SAS_UnArchived '0'
///数据归档中
#define ICE_SAS_Archiving '1'
///已归档数据
#define ICE_SAS_Archived '2'
///归档数据失败
#define ICE_SAS_ArchiveFail '3'

typedef char ICESettArchiveStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECTPTypeType是一个CTP交易系统类型类型
/////////////////////////////////////////////////////////////////////////
///未知类型
#define ICE_CTPT_Unkown '0'
///主中心
#define ICE_CTPT_MainCenter '1'
///备中心
#define ICE_CTPT_BackUp '2'

typedef char ICECTPTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEToolIDType是一个工具代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEToolIDType[9];

/////////////////////////////////////////////////////////////////////////
///ICEToolNameType是一个工具名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEToolNameType[81];

/////////////////////////////////////////////////////////////////////////
///ICECloseDealTypeType是一个平仓处理类型类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_CDT_Normal '0'
///投机平仓优先
#define ICE_CDT_SpecFirst '1'

typedef char ICECloseDealTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEMortgageFundUseRangeType是一个货币质押资金可用范围类型
/////////////////////////////////////////////////////////////////////////
///不能使用
#define ICE_MFUR_None '0'
///用于保证金
#define ICE_MFUR_Margin '1'
///用于手续费、盈亏、保证金
#define ICE_MFUR_All '2'

typedef char ICEMortgageFundUseRangeType;

/////////////////////////////////////////////////////////////////////////
///ICECurrencyUnitType是一个币种单位数量类型
/////////////////////////////////////////////////////////////////////////
typedef double ICECurrencyUnitType;

/////////////////////////////////////////////////////////////////////////
///ICEExchangeRateType是一个汇率类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEExchangeRateType;

/////////////////////////////////////////////////////////////////////////
///ICESpecProductTypeType是一个特殊产品类型类型
/////////////////////////////////////////////////////////////////////////
///郑商所套保产品
#define ICE_SPT_CzceHedge '1'
///货币质押产品
#define ICE_SPT_IneForeignCurrency '2'
///大连短线开平仓产品
#define ICE_SPT_DceOpenClose '3'

typedef char ICESpecProductTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFundMortgageTypeType是一个货币质押类型类型
/////////////////////////////////////////////////////////////////////////
///质押
#define ICE_FMT_Mortgage '1'
///解质
#define ICE_FMT_Redemption '2'

typedef char ICEFundMortgageTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAccountSettlementParamIDType是一个投资者账户结算参数代码类型
/////////////////////////////////////////////////////////////////////////
///基础保证金
#define ICE_ASPI_BaseMargin '1'
///最低权益标准
#define ICE_ASPI_LowestInterest '2'

typedef char ICEAccountSettlementParamIDType;

/////////////////////////////////////////////////////////////////////////
///ICECurrencyNameType是一个币种名称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrencyNameType[31];

/////////////////////////////////////////////////////////////////////////
///ICECurrencySignType是一个币种符号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrencySignType[4];

/////////////////////////////////////////////////////////////////////////
///ICEFundMortDirectionType是一个货币质押方向类型
/////////////////////////////////////////////////////////////////////////
///货币质入
#define ICE_FMD_In '1'
///货币质出
#define ICE_FMD_Out '2'

typedef char ICEFundMortDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICEBusinessClassType是一个换汇类别类型
/////////////////////////////////////////////////////////////////////////
///盈利
#define ICE_BT_Profit '0'
///亏损
#define ICE_BT_Loss '1'
///其他
#define ICE_BT_Other 'Z'

typedef char ICEBusinessClassType;

/////////////////////////////////////////////////////////////////////////
///ICESwapSourceTypeType是一个换汇数据来源类型
/////////////////////////////////////////////////////////////////////////
///手工
#define ICE_SST_Manual '0'
///自动生成
#define ICE_SST_Automatic '1'

typedef char ICESwapSourceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECurrExDirectionType是一个换汇类型类型
/////////////////////////////////////////////////////////////////////////
///结汇
#define ICE_CED_Settlement '0'
///售汇
#define ICE_CED_Sale '1'

typedef char ICECurrExDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICECurrencySwapStatusType是一个申请状态类型
/////////////////////////////////////////////////////////////////////////
///已录入
#define ICE_CSS_Entry '1'
///已审核
#define ICE_CSS_Approve '2'
///已拒绝
#define ICE_CSS_Refuse '3'
///已撤销
#define ICE_CSS_Revoke '4'
///已发送
#define ICE_CSS_Send '5'
///换汇成功
#define ICE_CSS_Success '6'
///换汇失败
#define ICE_CSS_Failure '7'

typedef char ICECurrencySwapStatusType;

/////////////////////////////////////////////////////////////////////////
///ICECurrExchCertNoType是一个凭证号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrExchCertNoType[13];

/////////////////////////////////////////////////////////////////////////
///ICEBatchSerialNoType是一个批次号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBatchSerialNoType[21];

/////////////////////////////////////////////////////////////////////////
///ICEReqFlagType是一个换汇发送标志类型
/////////////////////////////////////////////////////////////////////////
///未发送
#define ICE_REQF_NoSend '0'
///发送成功
#define ICE_REQF_SendSuccess '1'
///发送失败
#define ICE_REQF_SendFailed '2'
///等待重发
#define ICE_REQF_WaitReSend '3'

typedef char ICEReqFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEResFlagType是一个换汇返回成功标志类型
/////////////////////////////////////////////////////////////////////////
///成功
#define ICE_RESF_Success '0'
///账户余额不足
#define ICE_RESF_InsuffiCient '1'
///交易结果未知
#define ICE_RESF_UnKnown '8'

typedef char ICEResFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEPageControlType是一个换汇页面控制类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPageControlType[2];

/////////////////////////////////////////////////////////////////////////
///ICERecordCountType是一个记录数类型
/////////////////////////////////////////////////////////////////////////
typedef int ICERecordCountType;

/////////////////////////////////////////////////////////////////////////
///ICECurrencySwapMemoType是一个换汇需确认信息类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECurrencySwapMemoType[101];

/////////////////////////////////////////////////////////////////////////
///ICEExStatusType是一个修改状态类型
/////////////////////////////////////////////////////////////////////////
///修改前
#define ICE_EXS_Before '0'
///修改后
#define ICE_EXS_After '1'

typedef char ICEExStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEClientRegionType是一个开户客户地域类型
/////////////////////////////////////////////////////////////////////////
///国内客户
#define ICE_CR_Domestic '1'
///港澳台客户
#define ICE_CR_GMT '2'
///国外客户
#define ICE_CR_Foreign '3'

typedef char ICEClientRegionType;

/////////////////////////////////////////////////////////////////////////
///ICEWorkPlaceType是一个工作单位类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEWorkPlaceType[101];

/////////////////////////////////////////////////////////////////////////
///ICEBusinessPeriodType是一个经营期限类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBusinessPeriodType[21];

/////////////////////////////////////////////////////////////////////////
///ICEWebSiteType是一个网址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEWebSiteType[101];

/////////////////////////////////////////////////////////////////////////
///ICEUOAIdCardTypeType是一个统一开户证件类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOAIdCardTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEClientModeType是一个开户模式类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEClientModeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEInvestorFullNameType是一个投资者全称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestorFullNameType[101];

/////////////////////////////////////////////////////////////////////////
///ICEUOABrokerIDType是一个境外中介机构ID类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOABrokerIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICEUOAZipCodeType是一个邮政编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOAZipCodeType[11];

/////////////////////////////////////////////////////////////////////////
///ICEUOAEMailType是一个电子邮箱类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOAEMailType[101];

/////////////////////////////////////////////////////////////////////////
///ICEOldCityType是一个城市类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEOldCityType[41];

/////////////////////////////////////////////////////////////////////////
///ICECorporateIdentifiedCardNoType是一个法人代表证件号码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECorporateIdentifiedCardNoType[101];

/////////////////////////////////////////////////////////////////////////
///ICEHasBoardType是一个是否有董事会类型
/////////////////////////////////////////////////////////////////////////
///没有
#define ICE_HB_No '0'
///有
#define ICE_HB_Yes '1'

typedef char ICEHasBoardType;

/////////////////////////////////////////////////////////////////////////
///ICEStartModeType是一个启动模式类型
/////////////////////////////////////////////////////////////////////////
///正常
#define ICE_SM_Normal '1'
///应急
#define ICE_SM_Emerge '2'
///恢复
#define ICE_SM_Restore '3'

typedef char ICEStartModeType;

/////////////////////////////////////////////////////////////////////////
///ICETemplateTypeType是一个模型类型类型
/////////////////////////////////////////////////////////////////////////
///全量
#define ICE_TPT_Full '1'
///增量
#define ICE_TPT_Increment '2'
///备份
#define ICE_TPT_BackUp '3'

typedef char ICETemplateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICELoginModeType是一个登录模式类型
/////////////////////////////////////////////////////////////////////////
///交易
#define ICE_LM_Trade '0'
///转账
#define ICE_LM_Transfer '1'

typedef char ICELoginModeType;

/////////////////////////////////////////////////////////////////////////
///ICEPromptTypeType是一个日历提示类型类型
/////////////////////////////////////////////////////////////////////////
///合约上下市
#define ICE_CPT_Instrument '1'
///保证金分段生效
#define ICE_CPT_Margin '2'

typedef char ICEPromptTypeType;

/////////////////////////////////////////////////////////////////////////
///ICELedgerManageIDType是一个分户管理资产编码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELedgerManageIDType[51];

/////////////////////////////////////////////////////////////////////////
///ICEInvestVarietyType是一个投资品种类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestVarietyType[101];

/////////////////////////////////////////////////////////////////////////
///ICEBankAccountTypeType是一个账户类别类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEBankAccountTypeType[2];

/////////////////////////////////////////////////////////////////////////
///ICELedgerManageBankType是一个开户银行类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELedgerManageBankType[101];

/////////////////////////////////////////////////////////////////////////
///ICECffexDepartmentNameType是一个开户营业部类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECffexDepartmentNameType[101];

/////////////////////////////////////////////////////////////////////////
///ICECffexDepartmentCodeType是一个营业部代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECffexDepartmentCodeType[9];

/////////////////////////////////////////////////////////////////////////
///ICEHasTrusteeType是一个是否有托管人类型
/////////////////////////////////////////////////////////////////////////
///有
#define ICE_HT_Yes '1'
///没有
#define ICE_HT_No '0'

typedef char ICEHasTrusteeType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCMemo1Type是一个说明类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCMemo1Type[41];

/////////////////////////////////////////////////////////////////////////
///ICEAssetmgrCFullNameType是一个代理资产管理业务的期货公司全称类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAssetmgrCFullNameType[101];

/////////////////////////////////////////////////////////////////////////
///ICEAssetmgrApprovalNOType是一个资产管理业务批文号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAssetmgrApprovalNOType[51];

/////////////////////////////////////////////////////////////////////////
///ICEAssetmgrMgrNameType是一个资产管理业务负责人姓名类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAssetmgrMgrNameType[401];

/////////////////////////////////////////////////////////////////////////
///ICEAmTypeType是一个机构类型类型
/////////////////////////////////////////////////////////////////////////
///银行
#define ICE_AMT_Bank '1'
///证券公司
#define ICE_AMT_Securities '2'
///基金公司
#define ICE_AMT_Fund '3'
///保险公司
#define ICE_AMT_Insurance '4'
///信托公司
#define ICE_AMT_Trust '5'
///其他
#define ICE_AMT_Other '9'

typedef char ICEAmTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCAmTypeType是一个机构类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCAmTypeType[5];

/////////////////////////////////////////////////////////////////////////
///ICECSRCFundIOTypeType是一个出入金类型类型
/////////////////////////////////////////////////////////////////////////
///出入金
#define ICE_CFIOT_FundIO '0'
///银期换汇
#define ICE_CFIOT_SwapCurrency '1'

typedef char ICECSRCFundIOTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECusAccountTypeType是一个结算账户类型类型
/////////////////////////////////////////////////////////////////////////
///期货结算账户
#define ICE_CAT_Futures '1'
///纯期货资管业务下的资管结算账户
#define ICE_CAT_AssetmgrFuture '2'
///综合类资管业务下的期货资管托管账户
#define ICE_CAT_AssetmgrTrustee '3'
///综合类资管业务下的资金中转账户
#define ICE_CAT_AssetmgrTransfer '4'

typedef char ICECusAccountTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECSRCNationalType是一个国籍类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCNationalType[4];

/////////////////////////////////////////////////////////////////////////
///ICECSRCSecAgentIDType是一个二级代理ID类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECSRCSecAgentIDType[11];

/////////////////////////////////////////////////////////////////////////
///ICELanguageTypeType是一个通知语言类型类型
/////////////////////////////////////////////////////////////////////////
///中文
#define ICE_LT_Chinese '1'
///英文
#define ICE_LT_English '2'

typedef char ICELanguageTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAmAccountType是一个投资账户类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAmAccountType[23];

/////////////////////////////////////////////////////////////////////////
///ICEAssetmgrClientTypeType是一个资产管理客户类型类型
/////////////////////////////////////////////////////////////////////////
///个人资管客户
#define ICE_AMCT_Person '1'
///单位资管客户
#define ICE_AMCT_Organ '2'
///特殊单位资管客户
#define ICE_AMCT_SpecialOrgan '4'

typedef char ICEAssetmgrClientTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEAssetmgrTypeType是一个投资类型类型
/////////////////////////////////////////////////////////////////////////
///期货类
#define ICE_ASST_Futures '3'
///综合类
#define ICE_ASST_SpecialOrgan '4'

typedef char ICEAssetmgrTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEUOMType是一个计量单位类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEUOMType[11];

/////////////////////////////////////////////////////////////////////////
///ICESHFEInstLifePhaseType是一个上期所合约生命周期状态类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESHFEInstLifePhaseType[3];

/////////////////////////////////////////////////////////////////////////
///ICESHFEProductClassType是一个产品类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESHFEProductClassType[11];

/////////////////////////////////////////////////////////////////////////
///ICEPriceDecimalType是一个价格小数位类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEPriceDecimalType[2];

/////////////////////////////////////////////////////////////////////////
///ICEInTheMoneyFlagType是一个平值期权标志类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInTheMoneyFlagType[2];

/////////////////////////////////////////////////////////////////////////
///ICECheckInstrTypeType是一个合约比较类型类型
/////////////////////////////////////////////////////////////////////////
///合约交易所不存在
#define ICE_CIT_HasExch '0'
///合约本系统不存在
#define ICE_CIT_HasATP '1'
///合约比较不一致
#define ICE_CIT_HasDiff '2'

typedef char ICECheckInstrTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEDeliveryTypeType是一个交割类型类型
/////////////////////////////////////////////////////////////////////////
///手工交割
#define ICE_DT_HandDeliv '1'
///到期交割
#define ICE_DT_PersonDeliv '2'

typedef char ICEDeliveryTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBigMoneyType是一个资金类型
/////////////////////////////////////////////////////////////////////////
typedef double ICEBigMoneyType;

/////////////////////////////////////////////////////////////////////////
///ICEMaxMarginSideAlgorithmType是一个大额单边保证金算法类型
/////////////////////////////////////////////////////////////////////////
///不使用大额单边保证金算法
#define ICE_MMSA_NO '0'
///使用大额单边保证金算法
#define ICE_MMSA_YES '1'

typedef char ICEMaxMarginSideAlgorithmType;

/////////////////////////////////////////////////////////////////////////
///ICEDAClientTypeType是一个资产管理客户类型类型
/////////////////////////////////////////////////////////////////////////
///自然人
#define ICE_CACT_Person '0'
///法人
#define ICE_CACT_Company '1'
///其他
#define ICE_CACT_Other '2'

typedef char ICEDAClientTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECombinInstrIDType是一个套利合约代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombinInstrIDType[61];

/////////////////////////////////////////////////////////////////////////
///ICECombinSettlePriceType是一个各腿结算价类型
/////////////////////////////////////////////////////////////////////////
typedef char ICECombinSettlePriceType[61];

/////////////////////////////////////////////////////////////////////////
///ICEDCEPriorityType是一个优先级类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEDCEPriorityType;

/////////////////////////////////////////////////////////////////////////
///ICETradeGroupIDType是一个成交组号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICETradeGroupIDType;

/////////////////////////////////////////////////////////////////////////
///ICEIsCheckPrepaType是一个是否校验开户可用资金类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEIsCheckPrepaType;

/////////////////////////////////////////////////////////////////////////
///ICEUOAAssetmgrTypeType是一个投资类型类型
/////////////////////////////////////////////////////////////////////////
///期货类
#define ICE_UOAAT_Futures '1'
///综合类
#define ICE_UOAAT_SpecialOrgan '2'

typedef char ICEUOAAssetmgrTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEDirectionEnType是一个买卖方向类型
/////////////////////////////////////////////////////////////////////////
///Buy
#define ICE_DEN_Buy '0'
///Sell
#define ICE_DEN_Sell '1'

typedef char ICEDirectionEnType;

/////////////////////////////////////////////////////////////////////////
///ICEOffsetFlagEnType是一个开平标志类型
/////////////////////////////////////////////////////////////////////////
///Position Opening
#define ICE_OFEN_Open '0'
///Position Close
#define ICE_OFEN_Close '1'
///Forced Liquidation
#define ICE_OFEN_ForceClose '2'//Unsupported
///Close Today
#define ICE_OFEN_CloseToday '3'
///Close Prev.
#define ICE_OFEN_CloseYesterday '4'
///Forced Reduction
#define ICE_OFEN_ForceOff '5'//Unsupported
///Local Forced Liquidation
#define ICE_OFEN_LocalForceClose '6'//Unsupported

typedef char ICEOffsetFlagEnType;

/////////////////////////////////////////////////////////////////////////
///ICEHedgeFlagEnType是一个投机套保标志类型
/////////////////////////////////////////////////////////////////////////
///Speculation
#define ICE_HFEN_Speculation '1'
///Arbitrage
#define ICE_HFEN_Arbitrage '2'
///Hedge
#define ICE_HFEN_Hedge '3'

typedef char ICEHedgeFlagEnType;

/////////////////////////////////////////////////////////////////////////
///ICEFundIOTypeEnType是一个出入金类型类型
/////////////////////////////////////////////////////////////////////////
///Deposit/Withdrawal
#define ICE_FIOTEN_FundIO '1'
///Bank-Futures Transfer
#define ICE_FIOTEN_Transfer '2'
///Bank-Futures FX Exchange
#define ICE_FIOTEN_SwapCurrency '3'

typedef char ICEFundIOTypeEnType;

/////////////////////////////////////////////////////////////////////////
///ICEFundTypeEnType是一个资金类型类型
/////////////////////////////////////////////////////////////////////////
///Bank Deposit
#define ICE_FTEN_Deposite '1'
///Payment/Fee
#define ICE_FTEN_ItemFund '2'
///Brokerage Adj
#define ICE_FTEN_Company '3'
///Internal Transfer
#define ICE_FTEN_InnerTransfer '4'

typedef char ICEFundTypeEnType;

/////////////////////////////////////////////////////////////////////////
///ICEFundDirectionEnType是一个出入金方向类型
/////////////////////////////////////////////////////////////////////////
///Deposit
#define ICE_FDEN_In '1'
///Withdrawal
#define ICE_FDEN_Out '2'

typedef char ICEFundDirectionEnType;

/////////////////////////////////////////////////////////////////////////
///ICEFundMortDirectionEnType是一个货币质押方向类型
/////////////////////////////////////////////////////////////////////////
///Pledge
#define ICE_FMDEN_In '1'
///Redemption
#define ICE_FMDEN_Out '2'

typedef char ICEFundMortDirectionEnType;

/////////////////////////////////////////////////////////////////////////
///ICESwapBusinessTypeType是一个换汇业务种类类型
/////////////////////////////////////////////////////////////////////////
typedef char ICESwapBusinessTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICEOptionsTypeType是一个期权类型类型
/////////////////////////////////////////////////////////////////////////
///看涨
#define ICE_CP_CallOptions '1'
///看跌
#define ICE_CP_PutOptions '2'

typedef char ICEOptionsTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEStrikeModeType是一个执行方式类型
/////////////////////////////////////////////////////////////////////////
///欧式
#define ICE_STM_Continental '0'
///美式
#define ICE_STM_American '1'
///百慕大
#define ICE_STM_Bermuda '2'

typedef char ICEStrikeModeType;

/////////////////////////////////////////////////////////////////////////
///ICEStrikeTypeType是一个执行类型类型
/////////////////////////////////////////////////////////////////////////
///自身对冲
#define ICE_STT_Hedge '0'
///匹配执行
#define ICE_STT_Match '1'

typedef char ICEStrikeTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEApplyTypeType是一个中金所期权放弃执行申请类型类型
/////////////////////////////////////////////////////////////////////////
///不执行数量
#define ICE_APPT_NotStrikeNum '4'

typedef char ICEApplyTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEGiveUpDataSourceType是一个放弃执行申请数据来源类型
/////////////////////////////////////////////////////////////////////////
///系统生成
#define ICE_GUDS_Gen '0'
///手工添加
#define ICE_GUDS_Hand '1'

typedef char ICEGiveUpDataSourceType;

/////////////////////////////////////////////////////////////////////////
///ICEExecOrderSysIDType是一个执行宣告系统编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEExecOrderSysIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEExecResultType是一个执行结果类型
/////////////////////////////////////////////////////////////////////////
///没有执行
#define ICE_OER_NoExec 'n'
///已经取消
#define ICE_OER_Canceled 'c'
///执行成功
#define ICE_OER_OK '0'
///期权持仓不够
#define ICE_OER_NoPosition '1'
///资金不够
#define ICE_OER_NoDeposit '2'
///会员不存在
#define ICE_OER_NoParticipant '3'
///客户不存在
#define ICE_OER_NoClient '4'
///合约不存在
#define ICE_OER_NoInstrument '6'
///没有执行权限
#define ICE_OER_NoRight '7'
///不合理的数量
#define ICE_OER_InvalidVolume '8'
///没有足够的历史成交
#define ICE_OER_NoEnoughHistoryTrade '9'
///未知
#define ICE_OER_Unknown 'a'

typedef char ICEExecResultType;

/////////////////////////////////////////////////////////////////////////
///ICEStrikeSequenceType是一个执行序号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEStrikeSequenceType;

/////////////////////////////////////////////////////////////////////////
///ICEStrikeTimeType是一个执行时间类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEStrikeTimeType[13];

/////////////////////////////////////////////////////////////////////////
///ICECombinationTypeType是一个组合类型类型
/////////////////////////////////////////////////////////////////////////
///期货组合
#define ICE_COMBT_Future '0'
///垂直价差BUL
#define ICE_COMBT_BUL '1'
///垂直价差BER
#define ICE_COMBT_BER '2'
///跨式组合
#define ICE_COMBT_STD '3'
///宽跨式组合
#define ICE_COMBT_STG '4'
///备兑组合
#define ICE_COMBT_PRT '5'
///时间价差组合
#define ICE_COMBT_CLD '6'

typedef char ICECombinationTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEOptionRoyaltyPriceTypeType是一个期权权利金价格类型类型
/////////////////////////////////////////////////////////////////////////
///昨结算价
#define ICE_ORPT_PreSettlementPrice '1'
///开仓价
#define ICE_ORPT_OpenPrice '4'

typedef char ICEOptionRoyaltyPriceTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBalanceAlgorithmType是一个权益算法类型
/////////////////////////////////////////////////////////////////////////
///不计算期权市值盈亏
#define ICE_BLAG_Default '1'
///计算期权市值亏损
#define ICE_BLAG_IncludeOptValLost '2'

typedef char ICEBalanceAlgorithmType;

/////////////////////////////////////////////////////////////////////////
///ICEActionTypeType是一个执行类型类型
/////////////////////////////////////////////////////////////////////////
///执行
#define ICE_ACTP_Exec '1'
///放弃
#define ICE_ACTP_Abandon '2'

typedef char ICEActionTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEForQuoteStatusType是一个询价状态类型
/////////////////////////////////////////////////////////////////////////
///已经提交
#define ICE_FQST_Submitted 'a'
///已经接受
#define ICE_FQST_Accepted 'b'
///已经被拒绝
#define ICE_FQST_Rejected 'c'

typedef char ICEForQuoteStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEValueMethodType是一个取值方式类型
/////////////////////////////////////////////////////////////////////////
///按绝对值
#define ICE_VM_Absolute '0'
///按比率
#define ICE_VM_Ratio '1'

typedef char ICEValueMethodType;

/////////////////////////////////////////////////////////////////////////
///ICEExecOrderPositionFlagType是一个期权行权后是否保留期货头寸的标记类型
/////////////////////////////////////////////////////////////////////////
///保留
#define ICE_EOPF_Reserve '0'
///不保留
#define ICE_EOPF_UnReserve '1'

typedef char ICEExecOrderPositionFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEExecOrderCloseFlagType是一个期权行权后生成的头寸是否自动平仓类型
/////////////////////////////////////////////////////////////////////////
///自动平仓
#define ICE_EOCF_AutoClose '0'
///免于自动平仓
#define ICE_EOCF_NotToClose '1'

typedef char ICEExecOrderCloseFlagType;

/////////////////////////////////////////////////////////////////////////
///ICEProductTypeType是一个产品类型类型
/////////////////////////////////////////////////////////////////////////
///期货
#define ICE_PTE_Futures '1'
///期权
#define ICE_PTE_Options '2'

typedef char ICEProductTypeType;

/////////////////////////////////////////////////////////////////////////
///ICECZCEUploadFileNameType是一个郑商所结算文件名类型
/////////////////////////////////////////////////////////////////////////
///^\d{8}_zz_\d{4}
#define ICE_CUFN_CUFN_O 'O'
///^\d{8}成交表
#define ICE_CUFN_CUFN_T 'T'
///^\d{8}单腿持仓表new
#define ICE_CUFN_CUFN_P 'P'
///^\d{8}非平仓了结表
#define ICE_CUFN_CUFN_N 'N'
///^\d{8}平仓表
#define ICE_CUFN_CUFN_L 'L'
///^\d{8}资金表
#define ICE_CUFN_CUFN_F 'F'
///^\d{8}组合持仓表
#define ICE_CUFN_CUFN_C 'C'
///^\d{8}保证金参数表
#define ICE_CUFN_CUFN_M 'M'

typedef char ICECZCEUploadFileNameType;

/////////////////////////////////////////////////////////////////////////
///ICEDCEUploadFileNameType是一个大商所结算文件名类型
/////////////////////////////////////////////////////////////////////////
///^\d{8}_dl_\d{3}
#define ICE_DUFN_DUFN_O 'O'
///^\d{8}_成交表
#define ICE_DUFN_DUFN_T 'T'
///^\d{8}_持仓表
#define ICE_DUFN_DUFN_P 'P'
///^\d{8}_资金结算表
#define ICE_DUFN_DUFN_F 'F'
///^\d{8}_优惠组合持仓明细表
#define ICE_DUFN_DUFN_C 'C'
///^\d{8}_持仓明细表
#define ICE_DUFN_DUFN_D 'D'
///^\d{8}_保证金参数表
#define ICE_DUFN_DUFN_M 'M'
///^\d{8}_期权执行表
#define ICE_DUFN_DUFN_S 'S'

typedef char ICEDCEUploadFileNameType;

/////////////////////////////////////////////////////////////////////////
///ICESHFEUploadFileNameType是一个上期所结算文件名类型
/////////////////////////////////////////////////////////////////////////
///^\d{4}_\d{8}_\d{8}_DailyFundChg
#define ICE_SUFN_SUFN_O 'O'
///^\d{4}_\d{8}_\d{8}_Trade
#define ICE_SUFN_SUFN_T 'T'
///^\d{4}_\d{8}_\d{8}_SettlementDetail
#define ICE_SUFN_SUFN_P 'P'
///^\d{4}_\d{8}_\d{8}_Capital
#define ICE_SUFN_SUFN_F 'F'

typedef char ICESHFEUploadFileNameType;

/////////////////////////////////////////////////////////////////////////
///ICECFFEXUploadFileNameType是一个中金所结算文件名类型
/////////////////////////////////////////////////////////////////////////
///^\d{4}_SG\d{1}_\d{8}_\d{1}_Trade
#define ICE_CFUFN_SUFN_T 'T'
///^\d{4}_SG\d{1}_\d{8}_\d{1}_SettlementDetail
#define ICE_CFUFN_SUFN_P 'P'
///^\d{4}_SG\d{1}_\d{8}_\d{1}_Capital
#define ICE_CFUFN_SUFN_F 'F'
///^\d{4}_SG\d{1}_\d{8}_\d{1}_OptionExec
#define ICE_CFUFN_SUFN_S 'S'

typedef char ICECFFEXUploadFileNameType;

/////////////////////////////////////////////////////////////////////////
///ICECombDirectionType是一个组合指令方向类型
/////////////////////////////////////////////////////////////////////////
///申请组合
#define ICE_CMDR_Comb '0'
///申请拆分
#define ICE_CMDR_UnComb '1'

typedef char ICECombDirectionType;

/////////////////////////////////////////////////////////////////////////
///ICELockTypeType是一个锁定方向类型
/////////////////////////////////////////////////////////////////////////
///锁定
#define ICE_LCKT_Lock '1'
///解锁
#define ICE_LCKT_Unlock '2'

typedef char ICELockTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEBizTypeType是一个业务类型类型
/////////////////////////////////////////////////////////////////////////
///期货
#define ICE_BZTP_Future '1'
///证券
#define ICE_BZTP_Stock '2'

typedef char ICEBizTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEDesignateTypeType是一个指定类型类型
/////////////////////////////////////////////////////////////////////////
///指定登记
#define ICE_DSTP_Register '1'
///指定撤销
#define ICE_DSTP_Cancel '2'

typedef char ICEDesignateTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFreezeReasonTypeType是一个冻结原因类型
/////////////////////////////////////////////////////////////////////////
///初始化
#define ICE_FRTP_Init '1'
///锁定
#define ICE_FRTP_Lock '2'
///执行
#define ICE_FRTP_Exec '3'
///仓位校验
#define ICE_FRTP_Check '4'
///E+1日执行冻结
#define ICE_FRTP_ExecFreeze '5'

typedef char ICEFreezeReasonTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEFreezeTypeType是一个冻结类型类型
/////////////////////////////////////////////////////////////////////////
///冻结
#define ICE_FZTP_Freeze '1'
///解冻
#define ICE_FZTP_Unfreeze '2'
///强制执行
#define ICE_FZTP_Force '3'

typedef char ICEFreezeTypeType;

/////////////////////////////////////////////////////////////////////////
///ICETradeSystemTypeType是一个交易系统类型类型
/////////////////////////////////////////////////////////////////////////
///未知系统
#define ICE_TSTP_Unknow '0'
///期货系统
#define ICE_TSTP_Future '1'
///个股系统
#define ICE_TSTP_IShare '2'

typedef char ICETradeSystemTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEStockDisposalTypeType是一个证券处置方向类型
/////////////////////////////////////////////////////////////////////////
///划入经纪公司账户
#define ICE_STPT_ToBroker '1'
///划入投资者账户
#define ICE_STPT_ToInvestor '2'

typedef char ICEStockDisposalTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEStockDisposalSysIDType是一个证券处置编号类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEStockDisposalSysIDType[21];

/////////////////////////////////////////////////////////////////////////
///ICEStockDisposalStatusType是一个证券处置状态类型
/////////////////////////////////////////////////////////////////////////
///已经提交
#define ICE_SDPS_Submitted 'a'
///已经接受
#define ICE_SDPS_Accepted 'b'
///已经被拒绝
#define ICE_SDPS_Rejected 'c'
///已经被撤销
#define ICE_SDPS_Cancelled 'd'

typedef char ICEStockDisposalStatusType;

/////////////////////////////////////////////////////////////////////////
///ICEInstructionRightTypeType是一个指令权限类型类型
/////////////////////////////////////////////////////////////////////////
///限价单
#define ICE_ISTR_Limit '1'
///限价全额成交否则取消
#define ICE_ISTR_Limit_FOK '2'
///市价订单剩余转限价
#define ICE_ISTR_Market_RemainLimit '3'
///市价订单剩余撤销
#define ICE_ISTR_Market_FAK '4'
///市价全额成交否则取消
#define ICE_ISTR_Market_FOK '5'
///证券锁定
#define ICE_ISTR_Lock '6'
///证券解锁
#define ICE_ISTR_Unlock '7'

typedef char ICEInstructionRightTypeType;

/////////////////////////////////////////////////////////////////////////
///ICELevelTypeType是一个投资者分级类型类型
/////////////////////////////////////////////////////////////////////////
///一级投资者
#define ICE_IVLV_FirstLevel '1'
///二级投资者
#define ICE_IVLV_SecondLevel '2'
///三级投资者
#define ICE_IVLV_ThirdLevel '3'

typedef char ICELevelTypeType;

/////////////////////////////////////////////////////////////////////////
///ICEStrikeOffsetTypeType是一个行权偏移类型类型
/////////////////////////////////////////////////////////////////////////
///实值额
#define ICE_STOV_RealValue '1'
///盈利额
#define ICE_STOV_ProfitValue '2'
///实值比例
#define ICE_STOV_RealRatio '3'
///盈利比例
#define ICE_STOV_ProfitRatio '4'

typedef char ICEStrikeOffsetTypeType;

/////////////////////////////////////////////////////////////////////////
///ICELoginRemarkType是一个登录备注类型
/////////////////////////////////////////////////////////////////////////
typedef char ICELoginRemarkType[36];

/////////////////////////////////////////////////////////////////////////
///ICEInvestUnitIDType是一个投资单元代码类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEInvestUnitIDType[17];

/////////////////////////////////////////////////////////////////////////
///ICEBulletinIDType是一个公告编号类型
/////////////////////////////////////////////////////////////////////////
typedef int ICEBulletinIDType;

/////////////////////////////////////////////////////////////////////////
///ICENewsTypeType是一个公告类型类型
/////////////////////////////////////////////////////////////////////////
typedef char ICENewsTypeType[3];

/////////////////////////////////////////////////////////////////////////
///ICENewsUrgencyType是一个紧急程度类型
/////////////////////////////////////////////////////////////////////////
typedef char ICENewsUrgencyType;

/////////////////////////////////////////////////////////////////////////
///ICEAbstractType是一个消息摘要类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEAbstractType[81];

/////////////////////////////////////////////////////////////////////////
///ICEComeFromType是一个消息来源类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEComeFromType[21];

/////////////////////////////////////////////////////////////////////////
///ICEURLLinkType是一个WEB地址类型
/////////////////////////////////////////////////////////////////////////
typedef char ICEURLLinkType[201];

#endif